Update to 1.18.
Take maintainership. Note that the powerpc problems will be fixed separately.
This commit is contained in:
parent
fbd333f92c
commit
b7060678ab
@ -1,53 +1,42 @@
|
||||
# $OpenBSD: Makefile,v 1.7 2007/06/27 13:54:56 ajacoutot Exp $
|
||||
# $OpenBSD: Makefile,v 1.8 2007/06/29 11:06:25 kili Exp $
|
||||
# $NetBSD: Makefile,v 1.29 2004/03/26 21:19:53 wiz Exp $
|
||||
|
||||
COMMENT= "portable Haskell compiler"
|
||||
|
||||
# not for 64 bits
|
||||
NOT_FOR_ARCHS= ${LP64_ARCHS}
|
||||
# not for 64 bits, broken on ppc
|
||||
NOT_FOR_ARCHS= ${LP64_ARCHS} powerpc
|
||||
|
||||
V= 1.16
|
||||
V= 1.18
|
||||
DISTNAME= nhc98-${V}
|
||||
CATEGORIES= lang
|
||||
HOMEPAGE= http://www.haskell.org/nhc98/
|
||||
MAINTAINER= Don Stewart <dons@openbsd.org>
|
||||
MAINTAINER= Matthias Kilian <kili@openbsd.org>
|
||||
|
||||
MASTER_SITES= http://www.cs.york.ac.uk/fp/nhc98/
|
||||
MASTER_SITES0= ftp://ftp.cse.unsw.edu.au/pub/users/dons/nhc98/${V}/
|
||||
|
||||
DIST_SUBDIR= ${DISTNAME}
|
||||
DISTFILES= nhc98src-${V}.tar.gz nhc98-${V}-regress.tar.bz2:0
|
||||
|
||||
# these are vendor patches
|
||||
PATCHFILES= patch-${V}-typesyn:0 patch-${V}-ghc6:0
|
||||
|
||||
CC= gcc
|
||||
|
||||
USE_GMAKE= Yes
|
||||
CONFIGURE_STYLE=simple
|
||||
CONFIGURE_ARGS=--installdir=${PREFIX}
|
||||
|
||||
# if you use ghc to build nhc98, it will run 2.5x faster than with gcc
|
||||
# so we relegate the gcc path to archs with no ghc
|
||||
.if ${MACHINE_ARCH} == "i386"
|
||||
MODULES= lang/ghc
|
||||
CONFIGURE_ARGS+=--buildwith=ghc
|
||||
WANTLIB+= gmp
|
||||
.else
|
||||
CONFIGURE_ARGS+=--buildwith=gcc
|
||||
.endif
|
||||
|
||||
REGRESS_DEPENDS=::lang/python/2.3
|
||||
REGRESS_RESULT= ${WRKSRC}/../${DISTNAME}-regress/actual.result
|
||||
REGRESS_FLAGS= TEST_HC="${WRKSRC}/script/nhc98" WAY="normal"
|
||||
REGRESS_FLAGS+= EXTRA_RUNTEST_OPTS="--output-summary=${REGRESS_RESULT}" \
|
||||
PYTHON="${LOCALBASE}/bin/python2.3"
|
||||
DISTFILES= nhc98src-$V.tar.gz nhc98-$V-library-interfaces.tar.gz
|
||||
|
||||
# BSDish
|
||||
PERMIT_PACKAGE_CDROM= Yes
|
||||
PERMIT_PACKAGE_FTP= Yes
|
||||
PERMIT_DISTFILES_CDROM= Yes
|
||||
PERMIT_DISTFILES_FTP= Yes
|
||||
WANTLIB= c m ncurses readline
|
||||
|
||||
WANTLIB= c m
|
||||
|
||||
USE_GMAKE= Yes
|
||||
MAKE_FLAGS= OPT="${CFLAGS}"
|
||||
CONFIGURE_STYLE= simple
|
||||
CONFIGURE_ARGS= --prefix=${PREFIX} \
|
||||
--docdir=${PREFIX}/share/doc/nhc98 +docs
|
||||
|
||||
# ghc build disabled; this version of nhc doesn't compile with ghc-6.6.1
|
||||
# on i386, so we just build it with cc on all supported archs.
|
||||
CONFIGURE_ARGS+=--buildwith=cc
|
||||
|
||||
REGRESS_TARGET= test
|
||||
|
||||
post-extract:
|
||||
find ${WRKSRC} -name CVS -type d | xargs rm -rf
|
||||
|
||||
.include <bsd.port.mk>
|
||||
|
@ -1,20 +1,10 @@
|
||||
MD5 (nhc98-1.16/nhc98-1.16-regress.tar.bz2) = rks//0UBYkxLseSfR/a5bw==
|
||||
MD5 (nhc98-1.16/nhc98src-1.16.tar.gz) = pihmuNlmEIy6Ml0DIqMBDQ==
|
||||
MD5 (nhc98-1.16/patch-1.16-ghc6) = R3ZyfNFsS6kyEQEZsGwAZA==
|
||||
MD5 (nhc98-1.16/patch-1.16-typesyn) = OLFQWsvLxakeB3ME6Xirgg==
|
||||
RMD160 (nhc98-1.16/nhc98-1.16-regress.tar.bz2) = qqccDN1RXGe8HhOjc9VMCYsUUKU=
|
||||
RMD160 (nhc98-1.16/nhc98src-1.16.tar.gz) = Uq+6PlwRkNRYbTElzKBwg/vEy4A=
|
||||
RMD160 (nhc98-1.16/patch-1.16-ghc6) = tnsRi+JmiulMG1isZcQhRJ97zOA=
|
||||
RMD160 (nhc98-1.16/patch-1.16-typesyn) = Ztkq2Ulh+vjxpMNtXcifl3eqr8Q=
|
||||
SHA1 (nhc98-1.16/nhc98-1.16-regress.tar.bz2) = K0Z4WnTET9B1whwM6b+PIX9+XOk=
|
||||
SHA1 (nhc98-1.16/nhc98src-1.16.tar.gz) = fKJ8GQ0GRiyrXWQnJrfl5zthp+Q=
|
||||
SHA1 (nhc98-1.16/patch-1.16-ghc6) = nnZ+WhvyA6s9pK+wqUwg8Bu0xpw=
|
||||
SHA1 (nhc98-1.16/patch-1.16-typesyn) = M6bElSSVyruYfr/0dIAp2J/wA0Y=
|
||||
SHA256 (nhc98-1.16/nhc98-1.16-regress.tar.bz2) = BdQyBi4oI0HpYR3fRavuWRNUBJmr0PbWQ/o4gi6C9Jc=
|
||||
SHA256 (nhc98-1.16/nhc98src-1.16.tar.gz) = 6fUj3btY2TMVKGk3tih94uWB8eBmco2pEYUdJM/MV30=
|
||||
SHA256 (nhc98-1.16/patch-1.16-ghc6) = XntDVPH7EnaQLZFJ9IxLR7vS/4Uufs2Eo9ghNEaP250=
|
||||
SHA256 (nhc98-1.16/patch-1.16-typesyn) = eZ0DKnznol0cmJ8Go2tA1ziygPTy0/Xx6B7uz5nLzFs=
|
||||
SIZE (nhc98-1.16/nhc98-1.16-regress.tar.bz2) = 661952
|
||||
SIZE (nhc98-1.16/nhc98src-1.16.tar.gz) = 5689485
|
||||
SIZE (nhc98-1.16/patch-1.16-ghc6) = 3079
|
||||
SIZE (nhc98-1.16/patch-1.16-typesyn) = 5700
|
||||
MD5 (nhc98-1.18-library-interfaces.tar.gz) = +Z9BOoVGL+cZ6mNP0xnZTw==
|
||||
MD5 (nhc98src-1.18.tar.gz) = 84t0SB7AGgZsyTFLe9GMkA==
|
||||
RMD160 (nhc98-1.18-library-interfaces.tar.gz) = SA6Mj5mF05bilmHe30iaXhu5ybo=
|
||||
RMD160 (nhc98src-1.18.tar.gz) = e2Q5WM1ox0F8UKZjdOGrINkNQz0=
|
||||
SHA1 (nhc98-1.18-library-interfaces.tar.gz) = GhSfxtAaT8q07GXwewDx0Tzb49U=
|
||||
SHA1 (nhc98src-1.18.tar.gz) = feeLRJ8efvyaEhB/8mtEHjWzRiU=
|
||||
SHA256 (nhc98-1.18-library-interfaces.tar.gz) = sjeOkOjUO0AOrqJnCVr6ajJuRWPTSzbd1PMC7Z19cn8=
|
||||
SHA256 (nhc98src-1.18.tar.gz) = f/Vh82PTF2vk9lrtDMK6Wtst6BMrgIkOk8QLIZkE8ZM=
|
||||
SIZE (nhc98-1.18-library-interfaces.tar.gz) = 116668
|
||||
SIZE (nhc98src-1.18.tar.gz) = 14509719
|
||||
|
@ -1,13 +1,17 @@
|
||||
$OpenBSD: patch-Makefile,v 1.1.1.1 2004/05/10 04:39:03 dons Exp $
|
||||
$OpenBSD: patch-Makefile,v 1.2 2007/06/29 11:06:25 kili Exp $
|
||||
|
||||
Add a nice regress target
|
||||
Fail on failure, and don't be so silent during the tests, it makes
|
||||
me nervous.
|
||||
|
||||
--- Makefile.orig 2004-04-30 12:00:46.000000000 +1000
|
||||
+++ Makefile 2004-04-30 12:04:04.000000000 +1000
|
||||
@@ -490,3 +490,6 @@ realclean: clean cleanC
|
||||
rm -rf $(LIBDIR)/$(MACHINE)
|
||||
rm -f script/hmake-PRAGMA.o script/hmake-PRAGMA.hi
|
||||
rm -f script/nhc98 script/greencard script/hmake
|
||||
+
|
||||
+regress::
|
||||
+ @(cd ../nhc98-1.16-regress/ && ./configure && gmake check)
|
||||
--- Makefile.orig Fri Mar 4 11:25:44 2005
|
||||
+++ Makefile Sat Jun 9 20:51:57 2007
|
||||
@@ -177,8 +177,7 @@ config: script/errnogen.c
|
||||
install:
|
||||
./configure --install
|
||||
test:
|
||||
- cd tests && ./runtests clean >/dev/null && ./runtests >t.log 2>t.err
|
||||
- tail -4 tests/t.err
|
||||
+ cd tests && ./runtests clean >/dev/null && ./runtests
|
||||
|
||||
basic-nhc: $(PRAGMA) runtime hmake-nhc greencard-nhc compiler-nhc cpphs \
|
||||
prelude hsc2hs libraries
|
||||
|
25
lang/nhc98/patches/patch-configure
Normal file
25
lang/nhc98/patches/patch-configure
Normal file
@ -0,0 +1,25 @@
|
||||
$OpenBSD: patch-configure,v 1.1 2007/06/29 11:06:25 kili Exp $
|
||||
|
||||
Don't be so picky about the compiler used to build nhc.
|
||||
|
||||
--- configure.orig Fri Mar 11 10:32:56 2005
|
||||
+++ configure Sat Jun 9 12:07:35 2007
|
||||
@@ -104,7 +104,7 @@ NEWHEAP=$HEAP
|
||||
|
||||
MOREEVIL=no
|
||||
case $CCC in # versions of gcc >= 3.3 require extra evil in the evil mangler!
|
||||
- *gcc*) if $CCC --version | head -1 | grep "3.3" >/dev/null
|
||||
+ *cc*) if $CCC --version | head -1 | grep "3.3" >/dev/null
|
||||
then MOREEVIL=yes
|
||||
fi ;;
|
||||
esac
|
||||
@@ -323,8 +323,7 @@ then
|
||||
fi
|
||||
case $BUILDWITH in
|
||||
hbc|xtc) RTSFLAG=no;;
|
||||
- ghc*|nhc*) RTSFLAG=yes;;
|
||||
- gcc) RTSFLAG=yes;;
|
||||
+ *) RTSFLAG=yes;;
|
||||
esac
|
||||
echo "nhc98comp uses RTS delimiters? $RTSFLAG"
|
||||
if [ "$BUILDOPTS" != "" ]
|
52
lang/nhc98/patches/patch-man_nhc98_1
Normal file
52
lang/nhc98/patches/patch-man_nhc98_1
Normal file
@ -0,0 +1,52 @@
|
||||
$OpenBSD: patch-man_nhc98_1,v 1.1 2007/06/29 11:06:25 kili Exp $
|
||||
|
||||
No harch, no MACHINE (well, it's just hardcoded).
|
||||
|
||||
--- man/nhc98.1.orig Fri Mar 15 17:27:41 2002
|
||||
+++ man/nhc98.1 Sat Jun 9 19:23:08 2007
|
||||
@@ -50,7 +50,7 @@ Prepend
|
||||
to the list of paths used to locate interface files. The
|
||||
.I path
|
||||
should be a directory. Nhc98 will try to link with
|
||||
-.I path/$MACHINE/lib.a,
|
||||
+.I path/lib.a,
|
||||
or if it does not exist with
|
||||
.I path/lib.a
|
||||
(
|
||||
@@ -177,30 +177,27 @@ There may be more flags (they multiply).
|
||||
.SH ENVIRONMENT
|
||||
The environment variables NHC98LIBDIR and NHC98INCDIR are used to find the
|
||||
various files used by the compiler. The default values are
|
||||
-/usr/local/lib/nhc98 and /usr/local/include/nhc98. The variable $MACHINE
|
||||
-is used to select the correct executables and libraries for your architecture.
|
||||
-It is determined using the script
|
||||
-.I harch
|
||||
+/usr/local/lib/nhc98 and /usr/local/include/nhc98.
|
||||
.SH FILES
|
||||
.TP 25
|
||||
-.B $NHC98LIBDIR/$MACHINE/nhc98comp
|
||||
+.B $NHC98LIBDIR/nhc98comp
|
||||
the compiler.
|
||||
.TP
|
||||
.B $NHC98INCDIR/*.hi
|
||||
interface files.
|
||||
.TP
|
||||
-.B $NHC98LIBDIR/$MACHINE/Runtime[ptT]?.o
|
||||
+.B $NHC98LIBDIR/Runtime[ptT]?.o
|
||||
part of the runtime system.
|
||||
.TP
|
||||
-.B $NHC98LIBDIR/$MACHINE/Runtime[ptT]?.a
|
||||
+.B $NHC98LIBDIR/Runtime[ptT]?.a
|
||||
the rest of the runtime system.
|
||||
.TP
|
||||
-.B $NHC98LIBDIR/$MACHINE/Prelude[ptT]?.a
|
||||
+.B $NHC98LIBDIR/Prelude[ptT]?.a
|
||||
the standard prelude and libraries.
|
||||
.SH DIAGNOSTICS
|
||||
Could be better, could be worse.
|
||||
.SH "SEE ALSO"
|
||||
-hmake(1), hp2graph(1), harch(1)
|
||||
+hmake(1), hp2graph(1)
|
||||
.SH BUGS
|
||||
Probably.
|
||||
.br
|
16
lang/nhc98/patches/patch-script_confhc
Normal file
16
lang/nhc98/patches/patch-script_confhc
Normal file
@ -0,0 +1,16 @@
|
||||
$OpenBSD: patch-script_confhc,v 1.1 2007/06/29 11:06:25 kili Exp $
|
||||
|
||||
GHC version output has changed, so an installed GHC would break
|
||||
configure without this.
|
||||
|
||||
--- script/confhc.orig Thu Mar 10 17:36:08 2005
|
||||
+++ script/confhc Tue Jun 19 17:11:53 2007
|
||||
@@ -78,7 +78,7 @@ fi
|
||||
ghcsym () {
|
||||
echo __GLASGOW_HASKELL__ >ghcsym.hs;
|
||||
$1 -E -cpp -optP-P ghcsym.hs -o ghcsym.out;
|
||||
- grep -v '^#' ghcsym.out > $2;
|
||||
+ grep -v '#' ghcsym.out > $2;
|
||||
rm -f ghcsym.hs ghcsym.out;
|
||||
}
|
||||
echo -n " Looking for ghc... "
|
13
lang/nhc98/patches/patch-script_greencard_inst
Normal file
13
lang/nhc98/patches/patch-script_greencard_inst
Normal file
@ -0,0 +1,13 @@
|
||||
$OpenBSD: patch-script_greencard_inst,v 1.1 2007/06/29 11:06:25 kili Exp $
|
||||
|
||||
We don't have to care about different archs installed at the same place.
|
||||
|
||||
--- script/greencard.inst.orig Thu Jul 25 10:55:07 2002
|
||||
+++ script/greencard.inst Sun Jun 10 00:01:57 2007
|
||||
@@ -1,5 +1,5 @@
|
||||
#!/bin/sh
|
||||
# simple redirection script to find the correct executable
|
||||
# for this machine architecture
|
||||
-MACHINE=${MACHINE-"`ScriptDir/harch`"}
|
||||
+MACHINE=OpenBSD
|
||||
exec ExecutableDir/$MACHINE/`basename $0` "$@"
|
@ -1,23 +1,105 @@
|
||||
$OpenBSD: patch-script_harch,v 1.2 2007/01/05 09:32:50 robert Exp $
|
||||
$OpenBSD: patch-script_harch,v 1.3 2007/06/29 11:06:25 kili Exp $
|
||||
|
||||
Let PLIST work nicely with MACHINE_ARCH
|
||||
No harch black magic for OpenBSD, we don't need this.
|
||||
|
||||
--- script/harch.orig Thu Feb 13 11:08:43 2003
|
||||
+++ script/harch Thu Jan 4 19:38:14 2007
|
||||
@@ -48,11 +48,14 @@ REL=`echo $REL | tr '/ ' '-'`
|
||||
|
||||
# Canonicalise equivalent processor families to one representative member.
|
||||
case $PROCESSOR in
|
||||
--- script/harch.orig Wed Mar 9 14:50:46 2005
|
||||
+++ script/harch Sat Jun 9 19:04:25 2007
|
||||
@@ -1,97 +1,2 @@
|
||||
#!/bin/sh
|
||||
-# harch - determine canonical processor architecture
|
||||
-# Nov 1998: first used.
|
||||
-# May 1999: ensure that small differences (e.g. kernel version)
|
||||
-# don't matter.
|
||||
-
|
||||
-PROCESSOR=
|
||||
-OS=
|
||||
-REL=
|
||||
-
|
||||
-# Unfortunately, there are a variety of incompatible
|
||||
-# ways of detecting architecture, so try them all!
|
||||
-
|
||||
-if uname >/dev/null 2>&1
|
||||
-then
|
||||
- if uname -p >/dev/null 2>&1
|
||||
- then PROCESSOR=`uname -p`
|
||||
- case "$PROCESSOR" in
|
||||
- unknown|*\ *)
|
||||
- PROCESSOR=`uname -m`
|
||||
- ;;
|
||||
- esac
|
||||
- else
|
||||
- if arch >/dev/null 2>&1
|
||||
- then PROCESSOR=`arch`
|
||||
- else PROCESSOR=`uname -m`
|
||||
- fi
|
||||
- fi
|
||||
- OS=`uname -s`
|
||||
- REL=`uname -r`
|
||||
-else
|
||||
- if arch >/dev/null 2>&1
|
||||
- then PROCESSOR=`arch`
|
||||
- else
|
||||
- if machine >/dev/null 2>&1
|
||||
- then PROCESSOR=`machine`
|
||||
- else PROCESSOR='unknown'
|
||||
- fi
|
||||
- fi
|
||||
- OS=unknown
|
||||
-fi
|
||||
-
|
||||
-
|
||||
-# Remove whitespace and slashes.
|
||||
-PROCESSOR=`echo $PROCESSOR | tr '/ ' '.'`
|
||||
-OS=`echo $OS | tr '/ ' '-'`
|
||||
-REL=`echo $REL | tr '/ ' '-'`
|
||||
-
|
||||
-# Canonicalise equivalent processor families to one representative member.
|
||||
-case $PROCESSOR in
|
||||
- i[3456789]86) PROCESSOR=ix86;;
|
||||
- athlon) PROCESSOR=ix86;;
|
||||
+ i[3456789]86) PROCESSOR=i386;;
|
||||
+ athlon) PROCESSOR=i386;;
|
||||
sun3*) PROCESSOR=sun3;;
|
||||
sun4*) PROCESSOR=sun4;;
|
||||
sparc*) PROCESSOR=sparc;;
|
||||
+ macppc*) PROCESSOR=powerpc;;
|
||||
+ armish*) PROCESSOR=arm;;
|
||||
+ landisk*) PROCESSOR=sh;;
|
||||
esac
|
||||
|
||||
# Keep OS release number only if it might be relevant.
|
||||
- sun3*) PROCESSOR=sun3;;
|
||||
- sun4*) PROCESSOR=sun4;;
|
||||
- sparc*) PROCESSOR=sparc;;
|
||||
-esac
|
||||
-
|
||||
-# Keep OS release number only if it might be relevant.
|
||||
-case $OS in
|
||||
- unknown) ;;
|
||||
- Linux) ;;
|
||||
- CYGWIN*) ;;
|
||||
- MINGW*) ;;
|
||||
- *BSD) ;;
|
||||
-# BSD/OS) OS="BSD-OS"$REL ;; -- removed by slash->dash translation.
|
||||
- SunOS) case $REL in
|
||||
- 3*) OS=SunOS3;;
|
||||
- 4*) OS=SunOS4;;
|
||||
- 5*) OS=solaris2;;
|
||||
- 6*) OS=solaris3;;
|
||||
- *) OS=SunOS-$REL;;
|
||||
- esac;;
|
||||
- Darwin) case $REL in
|
||||
- 5*) OS=Darwin5;;
|
||||
- 6*) OS=Darwin6;;
|
||||
- 7*) OS=Darwin7;;
|
||||
- 8*) OS=Darwin8;;
|
||||
- *) OS=Darwin-$REL;;
|
||||
- esac;;
|
||||
- IRIX*) case $REL in
|
||||
- 5*) OS=IRIX5;;
|
||||
- 6*) OS=IRIX6;;
|
||||
- *) OS=IRIX-$REL;;
|
||||
- esac;;
|
||||
- AIX) if oslevel >/dev/null 2>&1 # AIX just has to be different
|
||||
- then OS=$OS-`oslevel`
|
||||
- else OS=$OS-unknown
|
||||
- fi
|
||||
- if lsattr -EHl proc0 | grep -i powerpc >/dev/null 2>&1
|
||||
- then PROCESSOR=powerpc
|
||||
- else PROCESSOR=power
|
||||
- fi ;;
|
||||
- *) OS=$OS-$REL;;
|
||||
-esac
|
||||
-
|
||||
-# And that's it.
|
||||
-echo $PROCESSOR-$OS
|
||||
+echo OpenBSD
|
||||
|
15
lang/nhc98/patches/patch-script_hood_inst
Normal file
15
lang/nhc98/patches/patch-script_hood_inst
Normal file
@ -0,0 +1,15 @@
|
||||
$OpenBSD: patch-script_hood_inst,v 1.1 2007/06/29 11:06:25 kili Exp $
|
||||
|
||||
We don't have to care about different archs installed at the same place.
|
||||
|
||||
--- script/hood.inst.orig Mon Jun 4 12:45:23 2001
|
||||
+++ script/hood.inst Sat Jun 9 19:20:15 2007
|
||||
@@ -3,7 +3,7 @@
|
||||
|
||||
NHC98BINDIR=${NHC98BINDIR-ScriptDir}
|
||||
NHC98LIBDIR=${NHC98LIBDIR-ExecutableDir}
|
||||
-MACHINE=`${NHC98BINDIR}/harch`
|
||||
+MACHINE=OpenBSD
|
||||
|
||||
#if [ ! -d $NHC98LIBDIR/$MACHINE ]
|
||||
#then
|
15
lang/nhc98/patches/patch-script_hsc2hs_inst
Normal file
15
lang/nhc98/patches/patch-script_hsc2hs_inst
Normal file
@ -0,0 +1,15 @@
|
||||
$OpenBSD: patch-script_hsc2hs_inst,v 1.1 2007/06/29 11:06:25 kili Exp $
|
||||
|
||||
We don't have to care about different archs installed at the same place.
|
||||
|
||||
--- script/hsc2hs.inst.orig Sun Jun 27 22:44:41 2004
|
||||
+++ script/hsc2hs.inst Sat Jun 9 19:33:47 2007
|
||||
@@ -4,7 +4,7 @@
|
||||
SCRIPTDIR=${SCRIPTDIR-ScriptDir}
|
||||
EXEDIR=${EXEDIR-ExecutableDir}
|
||||
INCDIR=${INCDIR-IncludeDir}
|
||||
-MACHINE=${MACHINE-"`$SCRIPTDIR/harch`"}
|
||||
+MACHINE=OpenBSD
|
||||
export MACHINE EXEDIR SCRIPTDIR
|
||||
|
||||
if [ ! -d $EXEDIR/$MACHINE ]
|
15
lang/nhc98/patches/patch-script_nhc98_inst
Normal file
15
lang/nhc98/patches/patch-script_nhc98_inst
Normal file
@ -0,0 +1,15 @@
|
||||
$OpenBSD: patch-script_nhc98_inst,v 1.1 2007/06/29 11:06:25 kili Exp $
|
||||
|
||||
We don't have to care about different archs installed at the same place.
|
||||
|
||||
--- script/nhc98.inst.orig Tue Feb 1 19:09:26 2005
|
||||
+++ script/nhc98.inst Sat Jun 9 19:33:47 2007
|
||||
@@ -13,7 +13,7 @@
|
||||
NHC98BINDIR=${NHC98BINDIR-ScriptDir}
|
||||
NHC98LIBDIR=${NHC98LIBDIR-ExecutableDir}
|
||||
NHC98INCDIR=${NHC98INCDIR-IncludeDir}
|
||||
-MACHINE=${MACHINE-"`$NHC98BINDIR/harch`"}
|
||||
+MACHINE=OpenBSD
|
||||
|
||||
if [ ! -d $NHC98LIBDIR/$MACHINE ]
|
||||
then
|
@ -1,7 +1,12 @@
|
||||
$OpenBSD: patch-script_tprofprel,v 1.1 2004/07/13 12:05:27 espie Exp $
|
||||
--- script/tprofprel.orig Tue Jul 13 13:50:24 2004
|
||||
+++ script/tprofprel Tue Jul 13 13:54:21 2004
|
||||
@@ -7,20 +7,8 @@ case $# in
|
||||
$OpenBSD: patch-script_tprofprel,v 1.2 2007/06/29 11:06:25 kili Exp $
|
||||
|
||||
Fix shell gibberish. Note that this is not POSIX. If you want POSIX,
|
||||
use foo=$((foo + 1)) instead. I don't care unless someone removes
|
||||
"let" from our /bin/sh.
|
||||
|
||||
--- script/tprofprel.orig Tue Nov 2 10:56:38 2004
|
||||
+++ script/tprofprel Sat Jun 23 00:05:03 2007
|
||||
@@ -7,20 +7,6 @@ case $# in
|
||||
1) exit 1;;
|
||||
esac
|
||||
|
||||
@ -11,11 +16,10 @@ $OpenBSD: patch-script_tprofprel,v 1.1 2004/07/13 12:05:27 espie Exp $
|
||||
- fi ;;
|
||||
- *) ;;
|
||||
-esac
|
||||
+increment() { echo $1 + 1 | bc; }
|
||||
|
||||
-
|
||||
-
|
||||
-# Nasty compatibility stuff between /bin/sh/ and bash for arithmetic.
|
||||
-if sh --version -e | grep -y gnu >/dev/null
|
||||
-if sh --version 2>/dev/null | grep -i gnu >/dev/null
|
||||
-then increment() { ( let x=$1+1; echo $x; ); }
|
||||
-else increment() { echo $1 + 1 | bc; }
|
||||
-fi
|
||||
@ -23,7 +27,25 @@ $OpenBSD: patch-script_tprofprel,v 1.1 2004/07/13 12:05:27 espie Exp $
|
||||
BUILTIN='Builtin' #Runtime Module added to beginning
|
||||
MODNAMES=''
|
||||
nummods=0
|
||||
@@ -100,7 +88,7 @@ then
|
||||
@@ -35,7 +21,7 @@ do
|
||||
else
|
||||
MODNAMES=${MODNAMES}' _95Driver'
|
||||
fi
|
||||
- nummods=`increment $nummods`
|
||||
+ let nummods++
|
||||
if test "'$1'" != "''"
|
||||
then
|
||||
shift
|
||||
@@ -91,7 +77,7 @@ fi
|
||||
if test "'$USRPREL'" != "'0'"
|
||||
then
|
||||
MODNAMES=${BUILTIN}' '${MODNAMES}
|
||||
- nummods=`increment $nummods`
|
||||
+ let nummods++
|
||||
if test "'$USRPREL'" = "'1'"
|
||||
then
|
||||
echo '#include <string.h>'
|
||||
@@ -100,7 +86,7 @@ then
|
||||
echo ' char *strc;'
|
||||
echo ' int i = strlen(str)+1;'
|
||||
echo ' if(0==(strc = (char *)malloc(i))) {'
|
||||
@ -32,3 +54,12 @@ $OpenBSD: patch-script_tprofprel,v 1.1 2004/07/13 12:05:27 espie Exp $
|
||||
echo ' exit(-1);'
|
||||
echo ' }'
|
||||
echo ' strcpy(strc,str);'
|
||||
@@ -162,7 +148,7 @@ then
|
||||
echo ' tprofInitTree(&TMIP_'${USRPREL}${mod}',strdup("-'${NUMSTR}${mod}'"),&TM_'${mod}');'
|
||||
echo ' else'
|
||||
echo ' tprofInitTree(&TMIP_'${USRPREL}${mod}',strdup("+'${NUMSTR}${mod}'"),&TM_'${mod}');'
|
||||
- num=`increment $num`
|
||||
+ let num++
|
||||
else
|
||||
echo ' tprofInitTree(&TMIP_'${USRPREL}'Driver,strdup("-'00_Driver'"),&TM_'${mod}');'
|
||||
echo ' else'
|
||||
|
16
lang/nhc98/patches/patch-src_compiler98_RenameLib_hs
Normal file
16
lang/nhc98/patches/patch-src_compiler98_RenameLib_hs
Normal file
@ -0,0 +1,16 @@
|
||||
$OpenBSD: patch-src_compiler98_RenameLib_hs,v 1.1 2007/06/29 11:06:25 kili Exp $
|
||||
|
||||
From patch-1.18-newtype. Put here because I'd problems fetching it
|
||||
from ftp.cs.york.ac.uk.
|
||||
|
||||
--- src/compiler98/RenameLib.hs.orig Wed Dec 22 13:58:35 2004
|
||||
+++ src/compiler98/RenameLib.hs Thu Jun 7 15:14:04 2007
|
||||
@@ -216,7 +216,7 @@ keepRS (RenameState flags unique rps rts rt st derived
|
||||
(coni:_) ->
|
||||
case (ntI . dropJust . lookupAT st ) coni of
|
||||
(NewType _ [] _ [NTcons c _ _,res]) -> (synType,(u,c):newType)
|
||||
- (NewType _ [] _ [NTvar v _,res]) -> (synType,(u,v):newType)
|
||||
+ (NewType _ [] _ [NTvar v _,res]) -> (synType, newType)
|
||||
(NewType _ [] _ [NTapp v1 v2,res]) -> (synType,newType)
|
||||
-- ^ MW hack: omits potential circularity check!
|
||||
(NewType _ [] _ (_:_:_)) ->
|
@ -1,12 +0,0 @@
|
||||
$OpenBSD: patch-src_prelude_List_Difference_hs,v 1.1 2004/07/13 11:39:12 espie Exp $
|
||||
--- src/prelude/List/Difference.hs.orig Tue Jul 13 13:10:49 2004
|
||||
+++ src/prelude/List/Difference.hs Tue Jul 13 13:11:44 2004
|
||||
@@ -2,7 +2,7 @@ module List where
|
||||
|
||||
import Delete
|
||||
|
||||
-infix 5 \\
|
||||
+infix 5 \\ -- XXX preproc
|
||||
|
||||
-- list difference (non-associative). In the result of xs \\ ys,
|
||||
-- the first occurrence of each element of ys in turn (if any)
|
@ -1,12 +0,0 @@
|
||||
$OpenBSD: patch-src_runtime_Integer_alloca_c,v 1.1 2004/07/13 11:38:46 espie Exp $
|
||||
--- src/runtime/Integer/alloca.c.orig Tue Jul 13 12:54:19 2004
|
||||
+++ src/runtime/Integer/alloca.c Tue Jul 13 12:54:35 2004
|
||||
@@ -3,6 +3,6 @@
|
||||
|
||||
void *alloca (unsigned size)
|
||||
{
|
||||
- fprintf(stderr,"Falilure alloca %d called:-(\n",size);
|
||||
- abort(-1);
|
||||
+ fprintf(stderr,"Failure alloca %d called:-(\n",size);
|
||||
+ abort();
|
||||
}
|
@ -1,502 +0,0 @@
|
||||
$OpenBSD: patch-src_runtime_Integer_asmlong_h,v 1.1 2004/07/13 11:38:16 espie Exp $
|
||||
--- src/runtime/Integer/asmlong.h.orig Tue Jul 13 12:38:15 2004
|
||||
+++ src/runtime/Integer/asmlong.h Tue Jul 13 12:51:57 2004
|
||||
@@ -1,13 +1,13 @@
|
||||
#if defined (__a29k__) || defined (___AM29K__)
|
||||
#define add_ssaaaa(sh, sl, ah, al, bh, bl) \
|
||||
- __asm__ ("add %1,%4,%5
|
||||
- addc %0,%2,%3" \
|
||||
+ __asm__ ("add %1,%4,%5\n" \
|
||||
+" addc %0,%2,%3" \
|
||||
: "=r" ((unsigned long int)(sh)), "=&r" ((unsigned long int)(sl)) \
|
||||
: "%r" ((unsigned long int)(ah)), "rI" ((unsigned long int)(bh)), \
|
||||
"%r" ((unsigned long int)(al)), "rI" ((unsigned long int)(bl)))
|
||||
#define sub_ddmmss(sh, sl, ah, al, bh, bl) \
|
||||
- __asm__ ("sub %1,%4,%5
|
||||
- subc %0,%2,%3" \
|
||||
+ __asm__ ("sub %1,%4,%5\n" \
|
||||
+" subc %0,%2,%3" \
|
||||
: "=r" ((unsigned long int)(sh)), "=&r" ((unsigned long int)(sl)) \
|
||||
: "r" ((unsigned long int)(ah)), "rI" ((unsigned long int)(bh)), \
|
||||
"r" ((unsigned long int)(al)), "rI" ((unsigned long int)(bl)))
|
||||
@@ -31,14 +31,14 @@
|
||||
|
||||
#if defined (__arm__)
|
||||
#define add_ssaaaa(sh, sl, ah, al, bh, bl) \
|
||||
- __asm__ ("adds %1,%4,%5
|
||||
- adc %0,%2,%3" \
|
||||
+ __asm__ ("adds %1,%4,%5\n" \
|
||||
+" adc %0,%2,%3" \
|
||||
: "=r" ((unsigned long int)(sh)), "=&r" ((unsigned long int)(sl)) \
|
||||
: "%r" ((unsigned long int)(ah)), "rI" ((unsigned long int)(bh)), \
|
||||
"%r" ((unsigned long int)(al)), "rI" ((unsigned long int)(bl)))
|
||||
#define sub_ddmmss(sh, sl, ah, al, bh, bl) \
|
||||
- __asm__ ("subs %1,%4,%5
|
||||
- sbc %0,%2,%3" \
|
||||
+ __asm__ ("subs %1,%4,%5\n" \
|
||||
+" sbc %0,%2,%3" \
|
||||
: "=r" ((unsigned long int)(sh)), "=&r" ((unsigned long int)(sl)) \
|
||||
: "r" ((unsigned long int)(ah)), "rI" ((unsigned long int)(bh)), \
|
||||
"r" ((unsigned long int)(al)), "rI" ((unsigned long int)(bl)))
|
||||
@@ -46,14 +46,14 @@
|
||||
|
||||
#if defined (__gmicro__)
|
||||
#define add_ssaaaa(sh, sl, ah, al, bh, bl) \
|
||||
- __asm__ ("add.w %5,%1
|
||||
- addx %3,%0" \
|
||||
+ __asm__ ("add.w %5,%1\n" \
|
||||
+" addx %3,%0" \
|
||||
: "=g" ((unsigned long int)(sh)), "=&g" ((unsigned long int)(sl))\
|
||||
: "%0" ((unsigned long int)(ah)), "g" ((unsigned long int)(bh)), \
|
||||
"%1" ((unsigned long int)(al)), "g" ((unsigned long int)(bl)))
|
||||
#define sub_ddmmss(sh, sl, ah, al, bh, bl) \
|
||||
- __asm__ ("sub.w %5,%1
|
||||
- subx %3,%0" \
|
||||
+ __asm__ ("sub.w %5,%1\n" \
|
||||
+" subx %3,%0" \
|
||||
: "=g" ((unsigned long int)(sh)), "=&g" ((unsigned long int)(sl))\
|
||||
: "0" ((unsigned long int)(ah)), "g" ((unsigned long int)(bh)), \
|
||||
"1" ((unsigned long int)(al)), "g" ((unsigned long int)(bl)))
|
||||
@@ -74,14 +74,14 @@
|
||||
|
||||
#if defined (__hppa)
|
||||
#define add_ssaaaa(sh, sl, ah, al, bh, bl) \
|
||||
- __asm__ ("add %4,%5,%1
|
||||
- addc %2,%3,%0" \
|
||||
+ __asm__ ("add %4,%5,%1\n" \
|
||||
+" addc %2,%3,%0" \
|
||||
: "=r" ((unsigned long int)(sh)), "=&r" ((unsigned long int)(sl))\
|
||||
: "%r" ((unsigned long int)(ah)), "r" ((unsigned long int)(bh)),\
|
||||
"%r" ((unsigned long int)(al)), "r" ((unsigned long int)(bl)))
|
||||
#define sub_ddmmss(sh, sl, ah, al, bh, bl) \
|
||||
- __asm__ ("sub %5,%4,%1
|
||||
- subb %3,%2,%0" \
|
||||
+ __asm__ ("sub %5,%4,%1\n" \
|
||||
+" subb %3,%2,%0" \
|
||||
: "=r" ((unsigned long int)(sh)), "=&r" ((unsigned long int)(sl))\
|
||||
: "r" ((unsigned long int)(ah)), "r" ((unsigned long int)(bh)), \
|
||||
"r" ((unsigned long int)(al)), "r" ((unsigned long int)(bl)))
|
||||
@@ -89,14 +89,14 @@
|
||||
|
||||
#if defined (__i386__) || defined (__i486__)
|
||||
#define add_ssaaaa(sh, sl, ah, al, bh, bl) \
|
||||
- __asm__ ("addl %5,%1
|
||||
- adcl %3,%0" \
|
||||
+ __asm__ ("addl %5,%1\n" \
|
||||
+" adcl %3,%0" \
|
||||
: "=r" ((unsigned long int)(sh)), "=&r" ((unsigned long int)(sl))\
|
||||
: "%0" ((unsigned long int)(ah)), "g" ((unsigned long int)(bh)), \
|
||||
"%1" ((unsigned long int)(al)), "g" ((unsigned long int)(bl)))
|
||||
#define sub_ddmmss(sh, sl, ah, al, bh, bl) \
|
||||
- __asm__ ("subl %5,%1
|
||||
- sbbl %3,%0" \
|
||||
+ __asm__ ("subl %5,%1\n" \
|
||||
+" sbbl %3,%0" \
|
||||
: "=r" ((unsigned long int)(sh)), "=&r" ((unsigned long int)(sl))\
|
||||
: "0" ((unsigned long int)(ah)), "g" ((unsigned long int)(bh)), \
|
||||
"1" ((unsigned long int)(al)), "g" ((unsigned long int)(bl)))
|
||||
@@ -157,14 +157,14 @@
|
||||
|
||||
#if defined (___IBMR2__) /* IBM RS6000 */
|
||||
#define add_ssaaaa(sh, sl, ah, al, bh, bl) \
|
||||
- __asm__ ("a %1,%4,%5
|
||||
- ae %0,%2,%3" \
|
||||
+ __asm__ ("a %1,%4,%5\n" \
|
||||
+" ae %0,%2,%3" \
|
||||
: "=r" ((unsigned long int)(sh)), "=&r" ((unsigned long int)(sl))\
|
||||
: "%r" ((unsigned long int)(ah)), "r" ((unsigned long int)(bh)),\
|
||||
"%r" ((unsigned long int)(al)), "r" ((unsigned long int)(bl)))
|
||||
#define sub_ddmmss(sh, sl, ah, al, bh, bl) \
|
||||
- __asm__ ("sf %1,%5,%4
|
||||
- sfe %0,%3,%2" \
|
||||
+ __asm__ ("sf %1,%5,%4\n" \
|
||||
+" sfe %0,%3,%2" \
|
||||
: "=r" ((unsigned long int)(sh)), "=&r" ((unsigned long int)(sl))\
|
||||
: "r" ((unsigned long int)(ah)), "r" ((unsigned long int)(bh)), \
|
||||
"r" ((unsigned long int)(al)), "r" ((unsigned long int)(bl)))
|
||||
@@ -264,32 +264,32 @@
|
||||
: "od" ((unsigned long int)(x)), "n" (0))
|
||||
#else /* not mc68020 */
|
||||
#define umul_ppmm(xh, xl, a, b) \
|
||||
- __asm__ ("| Inlined umul_ppmm
|
||||
- movel %2,d0
|
||||
- movel %3,d1
|
||||
- movel d0,d2
|
||||
- swap d0
|
||||
- movel d1,d3
|
||||
- swap d1
|
||||
- movew d2,d4
|
||||
- mulu d3,d4
|
||||
- mulu d1,d2
|
||||
- mulu d0,d3
|
||||
- mulu d0,d1
|
||||
- movel d4,d0
|
||||
- eorw d0,d0
|
||||
- swap d0
|
||||
- addl d0,d2
|
||||
- addl d3,d2
|
||||
- jcc 1f
|
||||
- addl #65536,d1
|
||||
-1: swap d2
|
||||
- moveq #0,d0
|
||||
- movew d2,d0
|
||||
- movew d4,d2
|
||||
- movel d2,%1
|
||||
- addl d1,d0
|
||||
- movel d0,%0" \
|
||||
+ __asm__ ("| Inlined umul_ppmm\n" \
|
||||
+" movel %2,d0\n" \
|
||||
+" movel %3,d1\n" \
|
||||
+" movel d0,d2\n" \
|
||||
+" swap d0\n" \
|
||||
+" movel d1,d3\n" \
|
||||
+" swap d1\n" \
|
||||
+" movew d2,d4\n" \
|
||||
+" mulu d3,d4\n" \
|
||||
+" mulu d1,d2\n" \
|
||||
+" mulu d0,d3\n" \
|
||||
+" mulu d0,d1\n" \
|
||||
+" movel d4,d0\n" \
|
||||
+" eorw d0,d0\n" \
|
||||
+" swap d0\n" \
|
||||
+" addl d0,d2\n" \
|
||||
+" addl d3,d2\n" \
|
||||
+" jcc 1f\n" \
|
||||
+" addl #65536,d1\n" \
|
||||
+"1: swap d2\n" \
|
||||
+" moveq #0,d0\n" \
|
||||
+" movew d2,d0\n" \
|
||||
+" movew d4,d2\n" \
|
||||
+" movel d2,%1\n" \
|
||||
+" addl d1,d0\n" \
|
||||
+" movel d0,%0" \
|
||||
: "=g" ((unsigned long int)(xh)), "=g" ((unsigned long int)(xl)) \
|
||||
:"g" ((unsigned long int)(a)), "g" ((unsigned long int)(b)) \
|
||||
: "d0", "d1", "d2", "d3", "d4")
|
||||
@@ -298,14 +298,14 @@
|
||||
|
||||
#if defined (__m88000__)
|
||||
#define add_ssaaaa(sh, sl, ah, al, bh, bl) \
|
||||
- __asm__ ("addu.co %1,%r4,%r5
|
||||
- addu.ci %0,%r2,%r3" \
|
||||
+ __asm__ ("addu.co %1,%r4,%r5\n" \
|
||||
+" addu.ci %0,%r2,%r3" \
|
||||
: "=r" ((unsigned long int)(sh)), "=&r" ((unsigned long int)(sl))\
|
||||
: "%rJ" ((unsigned long int)(ah)), "rJ" ((unsigned long int)(bh)),\
|
||||
"%rJ" ((unsigned long int)(al)), "rJ" ((unsigned long int)(bl)))
|
||||
#define sub_ddmmss(sh, sl, ah, al, bh, bl) \
|
||||
- __asm__ ("subu.co %1,%r4,%r5
|
||||
- subu.ci %0,%r2,%r3" \
|
||||
+ __asm__ ("subu.co %1,%r4,%r5\n" \
|
||||
+" subu.ci %0,%r2,%r3" \
|
||||
: "=r" ((unsigned long int)(sh)), "=&r" ((unsigned long int)(sl))\
|
||||
: "rJ" ((unsigned long int)(ah)), "rJ" ((unsigned long int)(bh)),\
|
||||
"rJ" ((unsigned long int)(al)), "rJ" ((unsigned long int)(bl)))
|
||||
@@ -322,9 +322,9 @@
|
||||
|
||||
#if defined (__mips__)
|
||||
#define umul_ppmm(w1, w0, u, v) \
|
||||
- __asm__ ("multu %2,%3
|
||||
- mflo %0
|
||||
- mfhi %1" \
|
||||
+ __asm__ ("multu %2,%3\n" \
|
||||
+" mflo %0\n" \
|
||||
+" mfhi %1" \
|
||||
: "=r" ((unsigned long int)(w0)), "=r" ((unsigned long int)(w1))\
|
||||
: "r" ((unsigned long int)(u)), "r" ((unsigned long int)(v)))
|
||||
#define UMUL_TIME 5
|
||||
@@ -338,11 +338,11 @@
|
||||
: "%0" ((unsigned long int)(u)), "g" ((unsigned long int)(v))); \
|
||||
__w; })
|
||||
#define div_qrnnd(q, r, n1, n0, d) \
|
||||
- __asm__ ("movd %2,r0
|
||||
- movd %3,r1
|
||||
- deid %4,r0
|
||||
- movd r1,%0
|
||||
- movd r0,%1" \
|
||||
+ __asm__ ("movd %2,r0\n" \
|
||||
+" movd %3,r1\n" \
|
||||
+" deid %4,r0\n" \
|
||||
+" movd r1,%0\n" \
|
||||
+" movd r0,%1" \
|
||||
: "=g" ((unsigned long int)(q)), "=g" ((unsigned long int)(r)) \
|
||||
: "g" ((unsigned long int)(n0)), "g" ((unsigned long int)(n1)), \
|
||||
"g" ((unsigned long int)(d)) : "r0", "r1")
|
||||
@@ -350,23 +350,23 @@
|
||||
|
||||
#if defined (__pyr__)
|
||||
#define add_ssaaaa(sh, sl, ah, al, bh, bl) \
|
||||
- __asm__ ("addw %5,%1
|
||||
- addwc %3,%0" \
|
||||
+ __asm__ ("addw %5,%1\n" \
|
||||
+" addwc %3,%0" \
|
||||
: "=r" ((unsigned long int)(sh)), "=&r" ((unsigned long int)(sl))\
|
||||
: "%0" ((unsigned long int)(ah)), "g" ((unsigned long int)(bh)),\
|
||||
"%1" ((unsigned long int)(al)), "g" ((unsigned long int)(bl)))
|
||||
#define sub_ddmmss(sh, sl, ah, al, bh, bl) \
|
||||
- __asm__ ("subw %5,%1
|
||||
- subwb %3,%0" \
|
||||
+ __asm__ ("subw %5,%1\n" \
|
||||
+" subwb %3,%0" \
|
||||
: "=r" ((unsigned long int)(sh)), "=&r" ((unsigned long int)(sl))\
|
||||
: "0" ((unsigned long int)(ah)), "g" ((unsigned long int)(bh)), \
|
||||
"1" ((unsigned long int)(al)), "g" ((unsigned long int)(bl)))
|
||||
/* This insn doesn't work on ancient pyramids. */
|
||||
#define umul_ppmm(w1, w0, u, v) \
|
||||
- __asm__ ("movw %2,tr11
|
||||
- uemul %3,tr10
|
||||
- movw tr10,%0
|
||||
- movw tr11,%1" \
|
||||
+ __asm__ ("movw %2,tr11\n" \
|
||||
+" uemul %3,tr10\n" \
|
||||
+" movw tr10,%0\n" \
|
||||
+" movw tr11,%1" \
|
||||
: "=r" ((unsigned long int)(w1)), "=r" ((unsigned long int)(w0))\
|
||||
: "r" ((unsigned long int)(u)), "r" ((unsigned long int)(v)) \
|
||||
: "tr10", "tr11")
|
||||
@@ -374,14 +374,14 @@
|
||||
|
||||
#if defined (__ibm032__) /* RT/ROMP */
|
||||
#define add_ssaaaa(sh, sl, ah, al, bh, bl) \
|
||||
- __asm__ ("a %1,%5
|
||||
- ae %0,%3" \
|
||||
+ __asm__ ("a %1,%5\n" \
|
||||
+" ae %0,%3" \
|
||||
: "=r" ((unsigned long int)(sh)), "=&r" ((unsigned long int)(sl))\
|
||||
: "%0" ((unsigned long int)(ah)), "r" ((unsigned long int)(bh)),\
|
||||
"%1" ((unsigned long int)(al)), "r" ((unsigned long int)(bl)))
|
||||
#define sub_ddmmss(sh, sl, ah, al, bh, bl) \
|
||||
- __asm__ ("s %1,%5
|
||||
- se %0,%3" \
|
||||
+ __asm__ ("s %1,%5\n" \
|
||||
+" se %0,%3" \
|
||||
: "=r" ((unsigned long int)(sh)), "=&r" ((unsigned long int)(sl))\
|
||||
: "0" ((unsigned long int)(ah)), "r" ((unsigned long int)(bh)), \
|
||||
"1" ((unsigned long int)(al)), "r" ((unsigned long int)(bl)))
|
||||
@@ -389,26 +389,26 @@
|
||||
do { \
|
||||
unsigned long int __m0 = (m0), __m1 = (m1); \
|
||||
__asm__ ( \
|
||||
- "s r2,r2
|
||||
- mts r10,%2
|
||||
- m r2,%3
|
||||
- m r2,%3
|
||||
- m r2,%3
|
||||
- m r2,%3
|
||||
- m r2,%3
|
||||
- m r2,%3
|
||||
- m r2,%3
|
||||
- m r2,%3
|
||||
- m r2,%3
|
||||
- m r2,%3
|
||||
- m r2,%3
|
||||
- m r2,%3
|
||||
- m r2,%3
|
||||
- m r2,%3
|
||||
- m r2,%3
|
||||
- m r2,%3
|
||||
- cas %0,r2,r0
|
||||
- mfs r10,%1" \
|
||||
+ "s r2,r2\n" \
|
||||
+" mts r10,%2\n" \
|
||||
+" m r2,%3\n" \
|
||||
+" m r2,%3\n" \
|
||||
+" m r2,%3\n" \
|
||||
+" m r2,%3\n" \
|
||||
+" m r2,%3\n" \
|
||||
+" m r2,%3\n" \
|
||||
+" m r2,%3\n" \
|
||||
+" m r2,%3\n" \
|
||||
+" m r2,%3\n" \
|
||||
+" m r2,%3\n" \
|
||||
+" m r2,%3\n" \
|
||||
+" m r2,%3\n" \
|
||||
+" m r2,%3\n" \
|
||||
+" m r2,%3\n" \
|
||||
+" m r2,%3\n" \
|
||||
+" m r2,%3\n" \
|
||||
+" cas %0,r2,r0\n" \
|
||||
+" mfs r10,%1" \
|
||||
: "=r" ((unsigned long int)(ph)), "=r" ((unsigned long int)(pl)) \
|
||||
: "%r" (__m0), "r" (__m1) \
|
||||
: "r2"); \
|
||||
@@ -433,14 +433,14 @@
|
||||
|
||||
#if defined (__sparc__)
|
||||
#define add_ssaaaa(sh, sl, ah, al, bh, bl) \
|
||||
- __asm__ ("addcc %4,%5,%1
|
||||
- addx %2,%3,%0" \
|
||||
+ __asm__ ("addcc %4,%5,%1\n" \
|
||||
+" addx %2,%3,%0" \
|
||||
: "=r" ((unsigned long int)(sh)), "=&r" ((unsigned long int)(sl))\
|
||||
: "%r" ((unsigned long int)(ah)), "rI" ((unsigned long int)(bh)),\
|
||||
"%r" ((unsigned long int)(al)), "rI" ((unsigned long int)(bl)))
|
||||
#define sub_ddmmss(sh, sl, ah, al, bh, bl) \
|
||||
- __asm__ ("subcc %4,%5,%1
|
||||
- subx %2,%3,%0" \
|
||||
+ __asm__ ("subcc %4,%5,%1\n" \
|
||||
+" subx %2,%3,%0" \
|
||||
: "=r" ((unsigned long int)(sh)), "=&r" ((unsigned long int)(sl))\
|
||||
: "r" ((unsigned long int)(ah)), "rI" ((unsigned long int)(bh)),\
|
||||
"r" ((unsigned long int)(al)), "rI" ((unsigned long int)(bl)))
|
||||
@@ -458,46 +458,46 @@
|
||||
/* SPARC without integer multiplication and divide instructions.
|
||||
(i.e. at least Sun4/20,40,60,65,75,110,260,280,330,360,380,470,490) */
|
||||
#define umul_ppmm(w1, w0, u, v) \
|
||||
- __asm__ ("! Inlined umul_ppmm
|
||||
- wr %%g0,%2,%%y ! SPARC has 0-3 delay insn after a wr
|
||||
- sra %3,31,%%g2 ! Don't move this insn
|
||||
- and %2,%%g2,%%g2 ! Don't move this insn
|
||||
- andcc %%g0,0,%%g1 ! Don't move this insn
|
||||
- mulscc %%g1,%3,%%g1
|
||||
- mulscc %%g1,%3,%%g1
|
||||
- mulscc %%g1,%3,%%g1
|
||||
- mulscc %%g1,%3,%%g1
|
||||
- mulscc %%g1,%3,%%g1
|
||||
- mulscc %%g1,%3,%%g1
|
||||
- mulscc %%g1,%3,%%g1
|
||||
- mulscc %%g1,%3,%%g1
|
||||
- mulscc %%g1,%3,%%g1
|
||||
- mulscc %%g1,%3,%%g1
|
||||
- mulscc %%g1,%3,%%g1
|
||||
- mulscc %%g1,%3,%%g1
|
||||
- mulscc %%g1,%3,%%g1
|
||||
- mulscc %%g1,%3,%%g1
|
||||
- mulscc %%g1,%3,%%g1
|
||||
- mulscc %%g1,%3,%%g1
|
||||
- mulscc %%g1,%3,%%g1
|
||||
- mulscc %%g1,%3,%%g1
|
||||
- mulscc %%g1,%3,%%g1
|
||||
- mulscc %%g1,%3,%%g1
|
||||
- mulscc %%g1,%3,%%g1
|
||||
- mulscc %%g1,%3,%%g1
|
||||
- mulscc %%g1,%3,%%g1
|
||||
- mulscc %%g1,%3,%%g1
|
||||
- mulscc %%g1,%3,%%g1
|
||||
- mulscc %%g1,%3,%%g1
|
||||
- mulscc %%g1,%3,%%g1
|
||||
- mulscc %%g1,%3,%%g1
|
||||
- mulscc %%g1,%3,%%g1
|
||||
- mulscc %%g1,%3,%%g1
|
||||
- mulscc %%g1,%3,%%g1
|
||||
- mulscc %%g1,%3,%%g1
|
||||
- mulscc %%g1,0,%%g1
|
||||
- add %%g1,%%g2,%0
|
||||
- rd %%y,%1" \
|
||||
+ __asm__ ("! Inlined umul_ppmm\n" \
|
||||
+" wr %%g0,%2,%%y ! SPARC has 0-3 delay insn after a wr\n"\
|
||||
+" sra %3,31,%%g2 ! Don't move this insn\n" \
|
||||
+" and %2,%%g2,%%g2 ! Don't move this insn\n" \
|
||||
+" andcc %%g0,0,%%g1 ! Don't move this insn\n" \
|
||||
+" mulscc %%g1,%3,%%g1\n" \
|
||||
+" mulscc %%g1,%3,%%g1\n" \
|
||||
+" mulscc %%g1,%3,%%g1\n" \
|
||||
+" mulscc %%g1,%3,%%g1\n" \
|
||||
+" mulscc %%g1,%3,%%g1\n" \
|
||||
+" mulscc %%g1,%3,%%g1\n" \
|
||||
+" mulscc %%g1,%3,%%g1\n" \
|
||||
+" mulscc %%g1,%3,%%g1\n" \
|
||||
+" mulscc %%g1,%3,%%g1\n" \
|
||||
+" mulscc %%g1,%3,%%g1\n" \
|
||||
+" mulscc %%g1,%3,%%g1\n" \
|
||||
+" mulscc %%g1,%3,%%g1\n" \
|
||||
+" mulscc %%g1,%3,%%g1\n" \
|
||||
+" mulscc %%g1,%3,%%g1\n" \
|
||||
+" mulscc %%g1,%3,%%g1\n" \
|
||||
+" mulscc %%g1,%3,%%g1\n" \
|
||||
+" mulscc %%g1,%3,%%g1\n" \
|
||||
+" mulscc %%g1,%3,%%g1\n" \
|
||||
+" mulscc %%g1,%3,%%g1\n" \
|
||||
+" mulscc %%g1,%3,%%g1\n" \
|
||||
+" mulscc %%g1,%3,%%g1\n" \
|
||||
+" mulscc %%g1,%3,%%g1\n" \
|
||||
+" mulscc %%g1,%3,%%g1\n" \
|
||||
+" mulscc %%g1,%3,%%g1\n" \
|
||||
+" mulscc %%g1,%3,%%g1\n" \
|
||||
+" mulscc %%g1,%3,%%g1\n" \
|
||||
+" mulscc %%g1,%3,%%g1\n" \
|
||||
+" mulscc %%g1,%3,%%g1\n" \
|
||||
+" mulscc %%g1,%3,%%g1\n" \
|
||||
+" mulscc %%g1,%3,%%g1\n" \
|
||||
+" mulscc %%g1,%3,%%g1\n" \
|
||||
+" mulscc %%g1,%3,%%g1\n" \
|
||||
+" mulscc %%g1,0,%%g1\n" \
|
||||
+" add %%g1,%%g2,%0\n" \
|
||||
+" rd %%y,%1" \
|
||||
: "=r" ((unsigned long int)(w1)), "=r" ((unsigned long int)(w0))\
|
||||
: "%rI" ((unsigned long int)(u)), "r" ((unsigned long int)(v)) \
|
||||
: "%g1", "%g2")
|
||||
@@ -505,30 +505,30 @@
|
||||
/* It's quite necessary to add this much assembler for the sparc.
|
||||
The default udiv_qrnnd (in C) is more than 10 times slower! */
|
||||
#define udiv_qrnnd(q, r, n1, n0, d) \
|
||||
- __asm__ ("! Inlined udiv_qrnnd
|
||||
- mov 32,%%g1
|
||||
- subcc %1,%2,%%g0
|
||||
-1: bcs 5f
|
||||
- addxcc %0,%0,%0 ! shift n1n0 and a q-bit in lsb
|
||||
- sub %1,%2,%1 ! this kills msb of n
|
||||
- addx %1,%1,%1 ! so this can't give carry
|
||||
- subcc %%g1,1,%%g1
|
||||
-2: bne 1b
|
||||
- subcc %1,%2,%%g0
|
||||
- bcs 3f
|
||||
- addxcc %0,%0,%0 ! shift n1n0 and a q-bit in lsb
|
||||
- b 3f
|
||||
- sub %1,%2,%1 ! this kills msb of n
|
||||
-4: sub %1,%2,%1
|
||||
-5: addxcc %1,%1,%1
|
||||
- bcc 2b
|
||||
- subcc %%g1,1,%%g1
|
||||
-! Got carry from n. Subtract next step to cancel this carry.
|
||||
- bne 4b
|
||||
- addcc %0,%0,%0 ! shift n1n0 and a 0-bit in lsb
|
||||
- sub %1,%2,%1
|
||||
-3: xnor %0,0,%0
|
||||
- ! End of inline udiv_qrnnd" \
|
||||
+ __asm__ ("! Inlined udiv_qrnnd\n" \
|
||||
+" mov 32,%%g1\n" \
|
||||
+" subcc %1,%2,%%g0\n" \
|
||||
+"1: bcs 5f\n" \
|
||||
+" addxcc %0,%0,%0 ! shift n1n0 and a q-bit in lsb\n" \
|
||||
+" sub %1,%2,%1 ! this kills msb of n\n" \
|
||||
+" addx %1,%1,%1 ! so this can't give carry\n" \
|
||||
+" subcc %%g1,1,%%g1\n" \
|
||||
+"2: bne 1b\n" \
|
||||
+" subcc %1,%2,%%g0\n" \
|
||||
+" bcs 3f\n" \
|
||||
+" addxcc %0,%0,%0 ! shift n1n0 and a q-bit in lsb\n" \
|
||||
+" b 3f\n" \
|
||||
+" sub %1,%2,%1 ! this kills msb of n\n" \
|
||||
+"4: sub %1,%2,%1\n" \
|
||||
+"5: addxcc %1,%1,%1\n" \
|
||||
+" bcc 2b\n" \
|
||||
+" subcc %%g1,1,%%g1\n" \
|
||||
+"! Got carry from n. Subtract next step to cancel this carry.\n" \
|
||||
+" bne 4b\n" \
|
||||
+" addcc %0,%0,%0 ! shift n1n0 and a 0-bit in lsb\n" \
|
||||
+" sub %1,%2,%1\n" \
|
||||
+"3: xnor %0,0,%0\n" \
|
||||
+" ! End of inline udiv_qrnnd" \
|
||||
: "=r&" ((unsigned long int)(q)), "=r&" ((unsigned long int)(r))\
|
||||
: "r" ((unsigned long int)(d)), "1" ((unsigned long int)(n1)), \
|
||||
"0" ((unsigned long int)(n0)) : "%g1")
|
||||
@@ -538,14 +538,14 @@
|
||||
|
||||
#if defined (__vax__)
|
||||
#define add_ssaaaa(sh, sl, ah, al, bh, bl) \
|
||||
- __asm__ ("addl2 %5,%1
|
||||
- adwc %3,%0" \
|
||||
+ __asm__ ("addl2 %5,%1\n" \
|
||||
+" adwc %3,%0" \
|
||||
: "=g" ((unsigned long int)(sh)), "=&g" ((unsigned long int)(sl))\
|
||||
: "%0" ((unsigned long int)(ah)), "g" ((unsigned long int)(bh)),\
|
||||
"%1" ((unsigned long int)(al)), "g" ((unsigned long int)(bl)))
|
||||
#define sub_ddmmss(sh, sl, ah, al, bh, bl) \
|
||||
- __asm__ ("subl2 %5,%1
|
||||
- sbwc %3,%0" \
|
||||
+ __asm__ ("subl2 %5,%1\n" \
|
||||
+" sbwc %3,%0" \
|
||||
: "=g" ((unsigned long int)(sh)), "=&g" ((unsigned long int)(sl))\
|
||||
: "0" ((unsigned long int)(ah)), "g" ((unsigned long int)(bh)), \
|
||||
"1" ((unsigned long int)(al)), "g" ((unsigned long int)(bl)))
|
30
lang/nhc98/patches/patch-src_runtime_Kernel_collector_c
Normal file
30
lang/nhc98/patches/patch-src_runtime_Kernel_collector_c
Normal file
@ -0,0 +1,30 @@
|
||||
$OpenBSD: patch-src_runtime_Kernel_collector_c,v 1.1 2007/06/29 11:06:25 kili Exp $
|
||||
|
||||
From patch-1.18-himem. Put here because I'd problems fetching it
|
||||
from ftp.cs.york.ac.uk.
|
||||
|
||||
--- src/runtime/Kernel/collector.c.orig Mon Mar 7 17:53:38 2005
|
||||
+++ src/runtime/Kernel/collector.c Thu Jun 7 15:29:51 2007
|
||||
@@ -9,6 +9,7 @@
|
||||
|
||||
/*#define HEAPSIZE 100000 -- defined in top-level Makefile at config-time */
|
||||
#define GCSTACKSIZE 20000
|
||||
+#define SBRK 1 /* Use sbrk(2) instead of malloc(3) to allocate the heap */
|
||||
|
||||
WHEN_DYNAMIC(int ractive = 0;)
|
||||
|
||||
@@ -46,7 +47,13 @@ void initGc(Int hpSize,NodePtr *ihp,Int spSize,NodePtr
|
||||
Int totalSize = hpSize+spSize;
|
||||
Int tableSize = (totalSize+WORDSIZE)/(WORDSIZE+1)+1; /* Last one for end of marked */
|
||||
|
||||
- if(NULL == (hpStart = malloc ((int)totalSize * sizeof(Node)))) {
|
||||
+ if (
|
||||
+#if SBRK
|
||||
+ ((NodePtr)-1)== (hpStart = (NodePtr)sbrk((int)totalSize * sizeof(Node)))
|
||||
+#else
|
||||
+ NULL == (hpStart = malloc ((int)totalSize * sizeof(Node)))
|
||||
+#endif
|
||||
+ ) {
|
||||
fprintf(stderr,"Not enough memory for heap and stack.\n");
|
||||
exit(-1);
|
||||
}
|
@ -0,0 +1,20 @@
|
||||
$OpenBSD: patch-tests_conformance98_Directory_getDirContents_getDir_stdout,v 1.1 2007/06/29 11:06:25 kili Exp $
|
||||
|
||||
CVS directories are deleted in the post-extract target.
|
||||
|
||||
--- tests/conformance98/Directory/getDirContents/getDir.stdout.orig Thu Aug 5 14:49:29 2004
|
||||
+++ tests/conformance98/Directory/getDirContents/getDir.stdout Thu Jun 14 01:32:06 2007
|
||||
@@ -1,12 +1,12 @@
|
||||
Current Dir: tests/conformance98/Directory/getDirContents
|
||||
.
|
||||
..
|
||||
- CVS
|
||||
Main
|
||||
Main.hi
|
||||
Main.hs
|
||||
Main.o
|
||||
getDir.stdout
|
||||
+ getDir.stdout.orig
|
||||
hmake.err
|
||||
tmp.err
|
||||
tmp.out
|
22
lang/nhc98/patches/patch-tests_runtests
Normal file
22
lang/nhc98/patches/patch-tests_runtests
Normal file
@ -0,0 +1,22 @@
|
||||
$OpenBSD: patch-tests_runtests,v 1.1 2007/06/29 11:06:25 kili Exp $
|
||||
|
||||
Don't use bash.
|
||||
|
||||
If there are unexpected results, bail out.
|
||||
|
||||
--- tests/runtests.orig Fri Mar 4 11:26:34 2005
|
||||
+++ tests/runtests Sat Jun 9 14:15:47 2007
|
||||
@@ -1,4 +1,4 @@
|
||||
-#!/bin/bash
|
||||
+#!/bin/sh
|
||||
# Run haskell test suites.
|
||||
|
||||
if uname -a | grep -i CYGWIN >/dev/null
|
||||
@@ -70,6 +70,7 @@ run () {
|
||||
echo >&2 " / of which $hmakeok known / $hmakebad bad"
|
||||
echo >&2 "$outok outputs match / $outbad outputs differ"
|
||||
echo >&2 "$errok errors match / $errbad errors differ"
|
||||
+ return $((hmakebad || outbad || errbad))
|
||||
}
|
||||
|
||||
clean () {
|
@ -1,10 +1,11 @@
|
||||
@comment $OpenBSD: PLIST,v 1.3 2004/09/18 12:52:54 espie Exp $
|
||||
@conflict hmake-*
|
||||
@comment $OpenBSD: PLIST,v 1.4 2007/06/29 11:06:25 kili Exp $
|
||||
@pkgpath lang/nhc98
|
||||
@comment bin/cpphs
|
||||
bin/greencard-nhc98
|
||||
bin/harch
|
||||
bin/hi
|
||||
bin/hmake
|
||||
bin/hmake-config
|
||||
@comment bin/harch
|
||||
@comment bin/hi
|
||||
@comment bin/hmake
|
||||
@comment bin/hmake-config
|
||||
bin/hood
|
||||
bin/hp2graph
|
||||
bin/nhc98
|
||||
@ -14,11 +15,7 @@ include/nhc98/Array.hi
|
||||
include/nhc98/CPUTime.hi
|
||||
include/nhc98/Char.hi
|
||||
include/nhc98/Complex.hi
|
||||
include/nhc98/DPrelude.hi
|
||||
include/nhc98/DbgIface.hi
|
||||
include/nhc98/DbgStub.hi
|
||||
include/nhc98/Directory.hi
|
||||
include/nhc98/Haskell.hi
|
||||
include/nhc98/HatBuiltin.hi
|
||||
include/nhc98/HsFFI.h
|
||||
include/nhc98/IO.hi
|
||||
@ -53,89 +50,6 @@ include/nhc98/Ratio.hi
|
||||
include/nhc98/System.hi
|
||||
include/nhc98/Time.hi
|
||||
include/nhc98/Warning.hi
|
||||
include/nhc98/base/
|
||||
include/nhc98/base/Control/
|
||||
include/nhc98/base/Control/Arrow.hi
|
||||
include/nhc98/base/Control/Monad/
|
||||
include/nhc98/base/Control/Monad.hi
|
||||
include/nhc98/base/Control/Monad/Fix.hi
|
||||
include/nhc98/base/Control/Monad/Trans.hi
|
||||
include/nhc98/base/Data/
|
||||
include/nhc98/base/Data/Array.hi
|
||||
include/nhc98/base/Data/Bits.hi
|
||||
include/nhc98/base/Data/Bool.hi
|
||||
include/nhc98/base/Data/Char.hi
|
||||
include/nhc98/base/Data/Complex.hi
|
||||
include/nhc98/base/Data/Dynamic.hi
|
||||
include/nhc98/base/Data/Either.hi
|
||||
include/nhc98/base/Data/FiniteMap.hi
|
||||
include/nhc98/base/Data/IORef.hi
|
||||
include/nhc98/base/Data/Int.hi
|
||||
include/nhc98/base/Data/Ix.hi
|
||||
include/nhc98/base/Data/List.hi
|
||||
include/nhc98/base/Data/Maybe.hi
|
||||
include/nhc98/base/Data/PackedString.hi
|
||||
include/nhc98/base/Data/Ratio.hi
|
||||
include/nhc98/base/Data/Set.hi
|
||||
include/nhc98/base/Data/Tuple.hi
|
||||
include/nhc98/base/Data/Word.hi
|
||||
include/nhc98/base/Debug/
|
||||
include/nhc98/base/Debug/Trace.hi
|
||||
include/nhc98/base/Foreign/
|
||||
include/nhc98/base/Foreign.hi
|
||||
include/nhc98/base/Foreign/C/
|
||||
include/nhc98/base/Foreign/C.hi
|
||||
include/nhc98/base/Foreign/C/Error.hi
|
||||
include/nhc98/base/Foreign/C/String.hi
|
||||
include/nhc98/base/Foreign/C/Types.hi
|
||||
include/nhc98/base/Foreign/C/TypesISO.hi
|
||||
include/nhc98/base/Foreign/ForeignPtr.hi
|
||||
include/nhc98/base/Foreign/Marshal/
|
||||
include/nhc98/base/Foreign/Marshal.hi
|
||||
include/nhc98/base/Foreign/Marshal/Alloc.hi
|
||||
include/nhc98/base/Foreign/Marshal/Array.hi
|
||||
include/nhc98/base/Foreign/Marshal/Error.hi
|
||||
include/nhc98/base/Foreign/Marshal/Pool.hi
|
||||
include/nhc98/base/Foreign/Marshal/Utils.hi
|
||||
include/nhc98/base/Foreign/Ptr.hi
|
||||
include/nhc98/base/Foreign/StablePtr.hi
|
||||
include/nhc98/base/Foreign/Storable.hi
|
||||
include/nhc98/base/System/
|
||||
include/nhc98/base/System/Cmd.hi
|
||||
include/nhc98/base/System/Console/
|
||||
include/nhc98/base/System/Console/GetOpt.hi
|
||||
include/nhc98/base/System/Directory.hi
|
||||
include/nhc98/base/System/Environment.hi
|
||||
include/nhc98/base/System/Exit.hi
|
||||
include/nhc98/base/System/IO/
|
||||
include/nhc98/base/System/IO.hi
|
||||
include/nhc98/base/System/IO/Error.hi
|
||||
include/nhc98/base/System/IO/Unsafe.hi
|
||||
include/nhc98/base/System/Info.hi
|
||||
include/nhc98/base/System/Locale.hi
|
||||
include/nhc98/base/System/Mem.hi
|
||||
include/nhc98/base/System/Random.hi
|
||||
include/nhc98/base/Text/
|
||||
include/nhc98/base/Text/Html/
|
||||
include/nhc98/base/Text/Html.hi
|
||||
include/nhc98/base/Text/Html/BlockTable.hi
|
||||
include/nhc98/base/Text/ParserCombinators/
|
||||
include/nhc98/base/Text/ParserCombinators/Parsec/
|
||||
include/nhc98/base/Text/ParserCombinators/Parsec.hi
|
||||
include/nhc98/base/Text/ParserCombinators/Parsec/Char.hi
|
||||
include/nhc98/base/Text/ParserCombinators/Parsec/Combinator.hi
|
||||
include/nhc98/base/Text/ParserCombinators/Parsec/Error.hi
|
||||
include/nhc98/base/Text/ParserCombinators/Parsec/Expr.hi
|
||||
include/nhc98/base/Text/ParserCombinators/Parsec/Perm.hi
|
||||
include/nhc98/base/Text/ParserCombinators/Parsec/Pos.hi
|
||||
include/nhc98/base/Text/ParserCombinators/Parsec/Prim.hi
|
||||
include/nhc98/base/Text/PrettyPrint/
|
||||
include/nhc98/base/Text/PrettyPrint.hi
|
||||
include/nhc98/base/Text/PrettyPrint/HughesPJ.hi
|
||||
include/nhc98/base/Text/Read.hi
|
||||
include/nhc98/base/Text/Show/
|
||||
include/nhc98/base/Text/Show.hi
|
||||
include/nhc98/base/Text/Show/Functions.hi
|
||||
include/nhc98/bytecode.h
|
||||
include/nhc98/bytecode_o.h
|
||||
include/nhc98/cinterface.h
|
||||
@ -143,7 +57,6 @@ include/nhc98/codemacros.h
|
||||
include/nhc98/flt.h
|
||||
include/nhc98/greencard.h
|
||||
include/nhc98/haskell2c.h
|
||||
include/nhc98/localmalloc.h
|
||||
include/nhc98/macros_o.h
|
||||
include/nhc98/mk.h
|
||||
include/nhc98/mkByHand.h
|
||||
@ -152,81 +65,397 @@ include/nhc98/mutlib.h
|
||||
include/nhc98/newbytecode.h
|
||||
include/nhc98/newmacros.h
|
||||
include/nhc98/node.h
|
||||
include/nhc98/packages/
|
||||
include/nhc98/packages/Cabal/
|
||||
include/nhc98/packages/Cabal/Distribution/
|
||||
include/nhc98/packages/Cabal/Distribution/Compat/
|
||||
include/nhc98/packages/Cabal/Distribution/Compat/Directory.hi
|
||||
include/nhc98/packages/Cabal/Distribution/Compat/Exception.hi
|
||||
include/nhc98/packages/Cabal/Distribution/Compat/FilePath.hi
|
||||
include/nhc98/packages/Cabal/Distribution/Compat/RawSystem.hi
|
||||
include/nhc98/packages/Cabal/Distribution/Compat/ReadP.hi
|
||||
include/nhc98/packages/Cabal/Distribution/Extension.hi
|
||||
include/nhc98/packages/Cabal/Distribution/GetOpt.hi
|
||||
include/nhc98/packages/Cabal/Distribution/InstalledPackageInfo.hi
|
||||
include/nhc98/packages/Cabal/Distribution/License.hi
|
||||
include/nhc98/packages/Cabal/Distribution/Make.hi
|
||||
include/nhc98/packages/Cabal/Distribution/Package.hi
|
||||
include/nhc98/packages/Cabal/Distribution/PackageDescription.hi
|
||||
include/nhc98/packages/Cabal/Distribution/ParseUtils.hi
|
||||
include/nhc98/packages/Cabal/Distribution/PreProcess/
|
||||
include/nhc98/packages/Cabal/Distribution/PreProcess.hi
|
||||
include/nhc98/packages/Cabal/Distribution/PreProcess/Unlit.hi
|
||||
include/nhc98/packages/Cabal/Distribution/Setup.hi
|
||||
include/nhc98/packages/Cabal/Distribution/Simple/
|
||||
include/nhc98/packages/Cabal/Distribution/Simple.hi
|
||||
include/nhc98/packages/Cabal/Distribution/Simple/Build.hi
|
||||
include/nhc98/packages/Cabal/Distribution/Simple/Configure.hi
|
||||
include/nhc98/packages/Cabal/Distribution/Simple/GHCPackageConfig.hi
|
||||
include/nhc98/packages/Cabal/Distribution/Simple/Install.hi
|
||||
include/nhc98/packages/Cabal/Distribution/Simple/LocalBuildInfo.hi
|
||||
include/nhc98/packages/Cabal/Distribution/Simple/Register.hi
|
||||
include/nhc98/packages/Cabal/Distribution/Simple/SrcDist.hi
|
||||
include/nhc98/packages/Cabal/Distribution/Simple/Utils.hi
|
||||
include/nhc98/packages/Cabal/Distribution/Version.hi
|
||||
include/nhc98/packages/HUnit/
|
||||
include/nhc98/packages/HUnit/Test/
|
||||
include/nhc98/packages/HUnit/Test/HUnit/
|
||||
include/nhc98/packages/HUnit/Test/HUnit.hi
|
||||
include/nhc98/packages/HUnit/Test/HUnit/Base.hi
|
||||
include/nhc98/packages/HUnit/Test/HUnit/Lang.hi
|
||||
include/nhc98/packages/HUnit/Test/HUnit/Terminal.hi
|
||||
include/nhc98/packages/HUnit/Test/HUnit/Text.hi
|
||||
include/nhc98/packages/HaXml/
|
||||
include/nhc98/packages/HaXml/Text/
|
||||
include/nhc98/packages/HaXml/Text/ParserCombinators/
|
||||
include/nhc98/packages/HaXml/Text/ParserCombinators/HuttonMeijerWallace.hi
|
||||
include/nhc98/packages/HaXml/Text/XML/
|
||||
include/nhc98/packages/HaXml/Text/XML/HaXml/
|
||||
include/nhc98/packages/HaXml/Text/XML/HaXml.hi
|
||||
include/nhc98/packages/HaXml/Text/XML/HaXml/Combinators.hi
|
||||
include/nhc98/packages/HaXml/Text/XML/HaXml/Escape.hi
|
||||
include/nhc98/packages/HaXml/Text/XML/HaXml/Haskell2Xml.hi
|
||||
include/nhc98/packages/HaXml/Text/XML/HaXml/Html/
|
||||
include/nhc98/packages/HaXml/Text/XML/HaXml/Html/Generate.hi
|
||||
include/nhc98/packages/HaXml/Text/XML/HaXml/Html/Parse.hi
|
||||
include/nhc98/packages/HaXml/Text/XML/HaXml/Html/Pretty.hi
|
||||
include/nhc98/packages/HaXml/Text/XML/HaXml/Lex.hi
|
||||
include/nhc98/packages/HaXml/Text/XML/HaXml/OneOfN.hi
|
||||
include/nhc98/packages/HaXml/Text/XML/HaXml/Parse.hi
|
||||
include/nhc98/packages/HaXml/Text/XML/HaXml/Pretty.hi
|
||||
include/nhc98/packages/HaXml/Text/XML/HaXml/Types.hi
|
||||
include/nhc98/packages/HaXml/Text/XML/HaXml/Validate.hi
|
||||
include/nhc98/packages/HaXml/Text/XML/HaXml/Verbatim.hi
|
||||
include/nhc98/packages/HaXml/Text/XML/HaXml/Wrappers.hi
|
||||
include/nhc98/packages/HaXml/Text/XML/HaXml/Xml2Haskell.hi
|
||||
include/nhc98/packages/HaXml/Text/XML/HaXml/Xtract/
|
||||
include/nhc98/packages/HaXml/Text/XML/HaXml/Xtract/Combinators.hi
|
||||
include/nhc98/packages/HaXml/Text/XML/HaXml/Xtract/Lex.hi
|
||||
include/nhc98/packages/HaXml/Text/XML/HaXml/Xtract/Parse.hi
|
||||
include/nhc98/packages/QuickCheck/
|
||||
include/nhc98/packages/QuickCheck/Debug/
|
||||
include/nhc98/packages/QuickCheck/Debug/QuickCheck/
|
||||
include/nhc98/packages/QuickCheck/Debug/QuickCheck.hi
|
||||
include/nhc98/packages/QuickCheck/Debug/QuickCheck/Poly.hi
|
||||
include/nhc98/packages/QuickCheck/Debug/QuickCheck/Utils.hi
|
||||
include/nhc98/packages/QuickCheck/Test/
|
||||
include/nhc98/packages/QuickCheck/Test/QuickCheck/
|
||||
include/nhc98/packages/QuickCheck/Test/QuickCheck.hi
|
||||
include/nhc98/packages/QuickCheck/Test/QuickCheck/Poly.hi
|
||||
include/nhc98/packages/QuickCheck/Test/QuickCheck/Utils.hi
|
||||
include/nhc98/packages/base/
|
||||
include/nhc98/packages/base/Control/
|
||||
include/nhc98/packages/base/Control/Arrow.hi
|
||||
include/nhc98/packages/base/Control/Monad/
|
||||
include/nhc98/packages/base/Control/Monad.hi
|
||||
include/nhc98/packages/base/Control/Monad/Fix.hi
|
||||
include/nhc98/packages/base/Data/
|
||||
include/nhc98/packages/base/Data/Array.hi
|
||||
include/nhc98/packages/base/Data/Bits.hi
|
||||
include/nhc98/packages/base/Data/Bool.hi
|
||||
include/nhc98/packages/base/Data/Char.hi
|
||||
include/nhc98/packages/base/Data/Complex.hi
|
||||
include/nhc98/packages/base/Data/Dynamic.hi
|
||||
include/nhc98/packages/base/Data/Either.hi
|
||||
include/nhc98/packages/base/Data/Eq.hi
|
||||
include/nhc98/packages/base/Data/FiniteMap.hi
|
||||
include/nhc98/packages/base/Data/FunctorM.hi
|
||||
include/nhc98/packages/base/Data/HashTable.hi
|
||||
include/nhc98/packages/base/Data/IORef.hi
|
||||
include/nhc98/packages/base/Data/Int.hi
|
||||
include/nhc98/packages/base/Data/IntMap.hi
|
||||
include/nhc98/packages/base/Data/IntSet.hi
|
||||
include/nhc98/packages/base/Data/Ix.hi
|
||||
include/nhc98/packages/base/Data/List.hi
|
||||
include/nhc98/packages/base/Data/Map.hi
|
||||
include/nhc98/packages/base/Data/Maybe.hi
|
||||
include/nhc98/packages/base/Data/Monoid.hi
|
||||
include/nhc98/packages/base/Data/Ord.hi
|
||||
include/nhc98/packages/base/Data/PackedString.hi
|
||||
include/nhc98/packages/base/Data/Queue.hi
|
||||
include/nhc98/packages/base/Data/Ratio.hi
|
||||
include/nhc98/packages/base/Data/Set.hi
|
||||
include/nhc98/packages/base/Data/Tree.hi
|
||||
include/nhc98/packages/base/Data/Tuple.hi
|
||||
include/nhc98/packages/base/Data/Typeable.hi
|
||||
include/nhc98/packages/base/Data/Version.hi
|
||||
include/nhc98/packages/base/Data/Word.hi
|
||||
include/nhc98/packages/base/Debug/
|
||||
include/nhc98/packages/base/Debug/Trace.hi
|
||||
include/nhc98/packages/base/Foreign/
|
||||
include/nhc98/packages/base/Foreign.hi
|
||||
include/nhc98/packages/base/Foreign/C/
|
||||
include/nhc98/packages/base/Foreign/C.hi
|
||||
include/nhc98/packages/base/Foreign/C/Error.hi
|
||||
include/nhc98/packages/base/Foreign/C/String.hi
|
||||
include/nhc98/packages/base/Foreign/C/Types.hi
|
||||
include/nhc98/packages/base/Foreign/ForeignPtr.hi
|
||||
include/nhc98/packages/base/Foreign/Marshal/
|
||||
include/nhc98/packages/base/Foreign/Marshal.hi
|
||||
include/nhc98/packages/base/Foreign/Marshal/Alloc.hi
|
||||
include/nhc98/packages/base/Foreign/Marshal/Array.hi
|
||||
include/nhc98/packages/base/Foreign/Marshal/Error.hi
|
||||
include/nhc98/packages/base/Foreign/Marshal/Pool.hi
|
||||
include/nhc98/packages/base/Foreign/Marshal/Utils.hi
|
||||
include/nhc98/packages/base/Foreign/Ptr.hi
|
||||
include/nhc98/packages/base/Foreign/StablePtr.hi
|
||||
include/nhc98/packages/base/Foreign/Storable.hi
|
||||
include/nhc98/packages/base/NHC/
|
||||
include/nhc98/packages/base/NHC/SizedTypes.hi
|
||||
include/nhc98/packages/base/System/
|
||||
include/nhc98/packages/base/System/CPUTime.hi
|
||||
include/nhc98/packages/base/System/Cmd.hi
|
||||
include/nhc98/packages/base/System/Console/
|
||||
include/nhc98/packages/base/System/Console/GetOpt.hi
|
||||
include/nhc98/packages/base/System/Directory/
|
||||
include/nhc98/packages/base/System/Directory.hi
|
||||
include/nhc98/packages/base/System/Directory/Internals.hi
|
||||
include/nhc98/packages/base/System/Environment.hi
|
||||
include/nhc98/packages/base/System/Exit.hi
|
||||
include/nhc98/packages/base/System/IO/
|
||||
include/nhc98/packages/base/System/IO.hi
|
||||
include/nhc98/packages/base/System/IO/Error.hi
|
||||
include/nhc98/packages/base/System/IO/Unsafe.hi
|
||||
include/nhc98/packages/base/System/Info.hi
|
||||
include/nhc98/packages/base/System/Locale.hi
|
||||
include/nhc98/packages/base/System/Mem.hi
|
||||
include/nhc98/packages/base/System/Random.hi
|
||||
include/nhc98/packages/base/System/Time.hi
|
||||
include/nhc98/packages/base/Text/
|
||||
include/nhc98/packages/base/Text/Html/
|
||||
include/nhc98/packages/base/Text/Html.hi
|
||||
include/nhc98/packages/base/Text/Html/BlockTable.hi
|
||||
include/nhc98/packages/base/Text/ParserCombinators/
|
||||
include/nhc98/packages/base/Text/ParserCombinators/ReadP.hi
|
||||
include/nhc98/packages/base/Text/PrettyPrint/
|
||||
include/nhc98/packages/base/Text/PrettyPrint.hi
|
||||
include/nhc98/packages/base/Text/PrettyPrint/HughesPJ.hi
|
||||
include/nhc98/packages/base/Text/Printf.hi
|
||||
include/nhc98/packages/base/Text/Read.hi
|
||||
include/nhc98/packages/base/Text/Regex/
|
||||
include/nhc98/packages/base/Text/Regex.hi
|
||||
include/nhc98/packages/base/Text/Regex/Posix.hi
|
||||
include/nhc98/packages/base/Text/Show/
|
||||
include/nhc98/packages/base/Text/Show.hi
|
||||
include/nhc98/packages/base/Text/Show/Functions.hi
|
||||
include/nhc98/packages/haskell-src/
|
||||
include/nhc98/packages/haskell-src/Language/
|
||||
include/nhc98/packages/haskell-src/Language/Haskell/
|
||||
include/nhc98/packages/haskell-src/Language/Haskell/Lexer.hi
|
||||
include/nhc98/packages/haskell-src/Language/Haskell/ParseMonad.hi
|
||||
include/nhc98/packages/haskell-src/Language/Haskell/ParseUtils.hi
|
||||
include/nhc98/packages/haskell-src/Language/Haskell/Parser.hi
|
||||
include/nhc98/packages/haskell-src/Language/Haskell/Pretty.hi
|
||||
include/nhc98/packages/haskell-src/Language/Haskell/Syntax.hi
|
||||
include/nhc98/packages/parsec/
|
||||
include/nhc98/packages/parsec/Text/
|
||||
include/nhc98/packages/parsec/Text/ParserCombinators/
|
||||
include/nhc98/packages/parsec/Text/ParserCombinators/Parsec/
|
||||
include/nhc98/packages/parsec/Text/ParserCombinators/Parsec.hi
|
||||
include/nhc98/packages/parsec/Text/ParserCombinators/Parsec/Char.hi
|
||||
include/nhc98/packages/parsec/Text/ParserCombinators/Parsec/Combinator.hi
|
||||
include/nhc98/packages/parsec/Text/ParserCombinators/Parsec/Error.hi
|
||||
include/nhc98/packages/parsec/Text/ParserCombinators/Parsec/Expr.hi
|
||||
include/nhc98/packages/parsec/Text/ParserCombinators/Parsec/Perm.hi
|
||||
include/nhc98/packages/parsec/Text/ParserCombinators/Parsec/Pos.hi
|
||||
include/nhc98/packages/parsec/Text/ParserCombinators/Parsec/Prim.hi
|
||||
include/nhc98/runtime.h
|
||||
include/nhc98/stableptr.h
|
||||
include/nhc98/twopass.h
|
||||
lib/hmake/
|
||||
lib/hmake/${MACHINE_ARCH}-OpenBSD/
|
||||
lib/hmake/${MACHINE_ARCH}-OpenBSD/HInteractive
|
||||
lib/hmake/${MACHINE_ARCH}-OpenBSD/MkConfig
|
||||
lib/hmake/${MACHINE_ARCH}-OpenBSD/MkProg
|
||||
lib/hmake/${MACHINE_ARCH}-OpenBSD/Older
|
||||
lib/hmake/${MACHINE_ARCH}-OpenBSD/hmakerc
|
||||
@comment lib/hmake/
|
||||
@comment lib/hmake/OpenBSD/
|
||||
@comment lib/hmake/OpenBSD/HInteractive
|
||||
@comment lib/hmake/OpenBSD/MkConfig
|
||||
@comment lib/hmake/OpenBSD/MkProg
|
||||
@comment lib/hmake/OpenBSD/Older
|
||||
@comment lib/hmake/OpenBSD/hmakerc
|
||||
lib/nhc98/
|
||||
lib/nhc98/OpenBSD/
|
||||
lib/nhc98/OpenBSD/Array.z.a
|
||||
lib/nhc98/OpenBSD/BinArray.z.a
|
||||
lib/nhc98/OpenBSD/Binary.z.a
|
||||
lib/nhc98/OpenBSD/Bit.z.a
|
||||
lib/nhc98/OpenBSD/CPUTime.z.a
|
||||
lib/nhc98/OpenBSD/CString.z.a
|
||||
lib/nhc98/OpenBSD/Char.z.a
|
||||
lib/nhc98/OpenBSD/Complex.z.a
|
||||
lib/nhc98/OpenBSD/DErrNo.z.a
|
||||
lib/nhc98/OpenBSD/Directory.z.a
|
||||
lib/nhc98/OpenBSD/Driver.z.a
|
||||
lib/nhc98/OpenBSD/FFI.z.a
|
||||
lib/nhc98/OpenBSD/GreenCard.z.a
|
||||
lib/nhc98/OpenBSD/IO.z.a
|
||||
lib/nhc98/OpenBSD/IOExtras.z.a
|
||||
lib/nhc98/OpenBSD/Ix.z.a
|
||||
lib/nhc98/OpenBSD/List.z.a
|
||||
lib/nhc98/OpenBSD/Locale.z.a
|
||||
lib/nhc98/OpenBSD/Maybe.z.a
|
||||
lib/nhc98/OpenBSD/Monad.z.a
|
||||
lib/nhc98/OpenBSD/NonStdEval.z.a
|
||||
lib/nhc98/OpenBSD/NonStdGetPID.z.a
|
||||
lib/nhc98/OpenBSD/NonStdProfile.z.a
|
||||
lib/nhc98/OpenBSD/NonStdTrace.z.a
|
||||
lib/nhc98/OpenBSD/NonStdUnsafeCoerce.z.a
|
||||
lib/nhc98/OpenBSD/Numeric.z.a
|
||||
lib/nhc98/OpenBSD/Observe.z.a
|
||||
lib/nhc98/OpenBSD/PackedString.z.a
|
||||
lib/nhc98/OpenBSD/Prelude.a
|
||||
lib/nhc98/OpenBSD/Prelude.p.a
|
||||
lib/nhc98/OpenBSD/PreludeAll.z.a
|
||||
lib/nhc98/OpenBSD/Random.z.a
|
||||
lib/nhc98/OpenBSD/Ratio.z.a
|
||||
lib/nhc98/OpenBSD/Runtime.a
|
||||
lib/nhc98/OpenBSD/Runtime.p.a
|
||||
lib/nhc98/OpenBSD/Runtime.z.a
|
||||
lib/nhc98/OpenBSD/System.z.a
|
||||
lib/nhc98/OpenBSD/Time.z.a
|
||||
lib/nhc98/OpenBSD/UnboxedArray.z.a
|
||||
lib/nhc98/OpenBSD/Warning.z.a
|
||||
lib/nhc98/OpenBSD/config
|
||||
lib/nhc98/OpenBSD/cpphs
|
||||
lib/nhc98/OpenBSD/greencard-nhc98
|
||||
lib/nhc98/OpenBSD/hmake-PRAGMA
|
||||
lib/nhc98/OpenBSD/hp2graph
|
||||
lib/nhc98/OpenBSD/hsc2hs
|
||||
lib/nhc98/OpenBSD/libHSCabal.a
|
||||
lib/nhc98/OpenBSD/libHSCabal.p.a
|
||||
lib/nhc98/OpenBSD/libHSCabal.z.a
|
||||
lib/nhc98/OpenBSD/libHSHUnit.a
|
||||
lib/nhc98/OpenBSD/libHSHUnit.p.a
|
||||
lib/nhc98/OpenBSD/libHSHUnit.z.a
|
||||
lib/nhc98/OpenBSD/libHSHaXml.a
|
||||
lib/nhc98/OpenBSD/libHSHaXml.p.a
|
||||
lib/nhc98/OpenBSD/libHSHaXml.z.a
|
||||
lib/nhc98/OpenBSD/libHSQuickCheck.a
|
||||
lib/nhc98/OpenBSD/libHSQuickCheck.p.a
|
||||
lib/nhc98/OpenBSD/libHSQuickCheck.z.a
|
||||
lib/nhc98/OpenBSD/libHSbase.a
|
||||
lib/nhc98/OpenBSD/libHSbase.p.a
|
||||
lib/nhc98/OpenBSD/libHSbase.z.a
|
||||
lib/nhc98/OpenBSD/libHShaskell-src.a
|
||||
lib/nhc98/OpenBSD/libHShaskell-src.p.a
|
||||
lib/nhc98/OpenBSD/libHShaskell-src.z.a
|
||||
lib/nhc98/OpenBSD/libHSparsec.a
|
||||
lib/nhc98/OpenBSD/libHSparsec.p.a
|
||||
lib/nhc98/OpenBSD/libHSparsec.z.a
|
||||
lib/nhc98/OpenBSD/main.o
|
||||
lib/nhc98/OpenBSD/main.p.o
|
||||
lib/nhc98/OpenBSD/main.z.o
|
||||
lib/nhc98/OpenBSD/mutator.o
|
||||
lib/nhc98/OpenBSD/mutator.p.o
|
||||
lib/nhc98/OpenBSD/mutator.z.o
|
||||
lib/nhc98/OpenBSD/mutlib.o
|
||||
lib/nhc98/OpenBSD/mutlib.p.o
|
||||
lib/nhc98/OpenBSD/mutlib.z.o
|
||||
lib/nhc98/OpenBSD/nhc98comp
|
||||
lib/nhc98/OpenBSD/nhc98heap
|
||||
lib/nhc98/OpenBSD/tprofprel1.z.o
|
||||
lib/nhc98/OpenBSD/tprofprel2.z.o
|
||||
lib/nhc98/OpenBSD/tprofprel3.z.o
|
||||
lib/nhc98/hood.jar
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/Array.z.a
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/BinArray.z.a
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/Binary.z.a
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/Bit.z.a
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/CPUTime.z.a
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/CString.z.a
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/Char.z.a
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/Complex.z.a
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/DErrNo.z.a
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/DbgIface.z.a
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/Directory.z.a
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/Driver.z.a
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/FFI.z.a
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/GreenCard.z.a
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/Haskell.z.a
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/IO.z.a
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/IOExtras.z.a
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/Ix.z.a
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/List.z.a
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/Locale.z.a
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/Maybe.z.a
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/Monad.z.a
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/NonStdEval.z.a
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/NonStdGetPID.z.a
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/NonStdProfile.z.a
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/NonStdTrace.z.a
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/NonStdUnsafeCoerce.z.a
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/Numeric.z.a
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/Observe.z.a
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/PackedString.z.a
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/Prelude.a
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/Prelude.p.a
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/PreludeAll.z.a
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/Random.z.a
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/Ratio.z.a
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/Runtime.a
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/Runtime.p.a
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/Runtime.z.a
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/System.z.a
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/Time.z.a
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/UnboxedArray.z.a
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/Warning.z.a
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/config
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/greencard-nhc98
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/hmake-PRAGMA
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/hp2graph
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/libHSbase.a
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/main.o
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/main.p.o
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/main.z.o
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/mutator.o
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/mutator.p.o
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/mutator.z.o
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/mutlib.o
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/mutlib.p.o
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/mutlib.z.o
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/nhc98comp
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/nhc98heap
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/tprofprel1.z.o
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/tprofprel2.z.o
|
||||
lib/nhc98/${MACHINE_ARCH}-OpenBSD/tprofprel3.z.o
|
||||
@man man/man1/harch.1
|
||||
@man man/man1/hmake.1
|
||||
@comment man/man1/harch.1
|
||||
@comment man/man1/hi.1
|
||||
@comment man/man1/hmake.1
|
||||
@man man/man1/hp2graph.1
|
||||
@man man/man1/nhc98.1
|
||||
@comment man/man1/nhc98.1.orig
|
||||
share/doc/nhc98/
|
||||
share/doc/nhc98/98.html
|
||||
share/doc/nhc98/CcallingHaskell.html
|
||||
share/doc/nhc98/bugs/
|
||||
share/doc/nhc98/bugs.html
|
||||
share/doc/nhc98/bugs/Nhc13Test1.hs
|
||||
share/doc/nhc98/bugs/Nhc13Test10.hs
|
||||
share/doc/nhc98/bugs/Nhc13Test13.hs
|
||||
share/doc/nhc98/bugs/README
|
||||
share/doc/nhc98/bugs/nhc13test1.hs
|
||||
share/doc/nhc98/bugs/nhc13test10.hs
|
||||
share/doc/nhc98/bugs/nhc13test11.hs
|
||||
share/doc/nhc98/bugs/nhc13test12.hs
|
||||
share/doc/nhc98/bugs/nhc13test13.hs
|
||||
share/doc/nhc98/bugs/nhc13test14.hs
|
||||
share/doc/nhc98/bugs/nhc13test15.hs
|
||||
share/doc/nhc98/bugs/nhc13test16.hs
|
||||
share/doc/nhc98/bugs/nhc13test17.hs
|
||||
share/doc/nhc98/bugs/nhc13test18.hs
|
||||
share/doc/nhc98/bugs/nhc13test19.hs
|
||||
share/doc/nhc98/bugs/nhc13test2.hs
|
||||
share/doc/nhc98/bugs/nhc13test20.hs
|
||||
share/doc/nhc98/bugs/nhc13test3.hs
|
||||
share/doc/nhc98/bugs/nhc13test4.hs
|
||||
share/doc/nhc98/bugs/nhc13test5.hs
|
||||
share/doc/nhc98/bugs/nhc13test6.hs
|
||||
share/doc/nhc98/bugs/nhc13test7.hs
|
||||
share/doc/nhc98/bugs/nhc13test8.hs
|
||||
share/doc/nhc98/bugs/nhc13test9.hs
|
||||
share/doc/nhc98/bugs/nhc98test19.hs
|
||||
share/doc/nhc98/bugs/nhc98test20.hs
|
||||
share/doc/nhc98/bugs/nhc98test21.hs
|
||||
share/doc/nhc98/bugs/nhc98test22.hs
|
||||
share/doc/nhc98/bugs/nhc98test23.hs
|
||||
share/doc/nhc98/compiler-options.html
|
||||
share/doc/nhc98/config.html
|
||||
share/doc/nhc98/contrib.html
|
||||
share/doc/nhc98/copyright.html
|
||||
share/doc/nhc98/cvs.html
|
||||
share/doc/nhc98/download.html
|
||||
share/doc/nhc98/errmsgs.html
|
||||
share/doc/nhc98/examples/
|
||||
share/doc/nhc98/examples/ZooQuiz.hs
|
||||
share/doc/nhc98/extensions.html
|
||||
share/doc/nhc98/ffi.html
|
||||
share/doc/nhc98/fig1.gif
|
||||
share/doc/nhc98/fig2.html
|
||||
share/doc/nhc98/fig3.html
|
||||
share/doc/nhc98/fig4.html
|
||||
share/doc/nhc98/greencard-york.html
|
||||
share/doc/nhc98/greencard.html
|
||||
share/doc/nhc98/heapprof.html
|
||||
share/doc/nhc98/history.html
|
||||
share/doc/nhc98/history98.html
|
||||
@comment share/doc/nhc98/hmake/
|
||||
@comment share/doc/nhc98/hmake/bugs.html
|
||||
@comment share/doc/nhc98/hmake/changes.html
|
||||
@comment share/doc/nhc98/hmake/hi-commands.html
|
||||
@comment share/doc/nhc98/hmake/hmake-config.html
|
||||
@comment share/doc/nhc98/hmake/hmake.html
|
||||
@comment share/doc/nhc98/hmake/index.html
|
||||
@comment share/doc/nhc98/hmake/interactive.html
|
||||
@comment share/doc/nhc98/hmake/lineedit.html
|
||||
share/doc/nhc98/implementation-notes/
|
||||
share/doc/nhc98/implementation-notes/build-system
|
||||
share/doc/nhc98/implementation-notes/bytecode
|
||||
share/doc/nhc98/implementation-notes/gc
|
||||
share/doc/nhc98/implementation-notes/index.html
|
||||
share/doc/nhc98/implementation-notes/intro
|
||||
share/doc/nhc98/implementation-notes/memorylayout
|
||||
share/doc/nhc98/implementation-notes/phases
|
||||
share/doc/nhc98/implementation-notes/space-efficient
|
||||
share/doc/nhc98/index.html
|
||||
share/doc/nhc98/install.html
|
||||
share/doc/nhc98/libraries.html
|
||||
share/doc/nhc98/libs/
|
||||
share/doc/nhc98/libs/BinArray.html
|
||||
share/doc/nhc98/libs/Binary.html
|
||||
share/doc/nhc98/libs/Bit.html
|
||||
share/doc/nhc98/libs/FFI.html
|
||||
share/doc/nhc98/libs/IOExtras.html
|
||||
share/doc/nhc98/libs/OldBinary.html
|
||||
share/doc/nhc98/libs/PackedString.html
|
||||
share/doc/nhc98/libs/Time.html
|
||||
share/doc/nhc98/libs/index.html
|
||||
share/doc/nhc98/limits.html
|
||||
share/doc/nhc98/limits.html.inst
|
||||
share/doc/nhc98/maillist.html
|
||||
share/doc/nhc98/new_tiny.gif
|
||||
share/doc/nhc98/nhc13.gif
|
||||
share/doc/nhc98/nhc98.gif
|
||||
share/doc/nhc98/oldlicence.html
|
||||
share/doc/nhc98/papers.html
|
||||
share/doc/nhc98/runtime-options.html
|
||||
share/doc/nhc98/status.html
|
||||
share/doc/nhc98/todo.html
|
||||
share/doc/nhc98/tprof.html
|
||||
share/doc/nhc98/tracer.html
|
||||
share/doc/nhc98/windows.html
|
||||
share/doc/nhc98/york-release.html
|
||||
|
Loading…
Reference in New Issue
Block a user